#!/usr/bin/perl

# gedail.pl -- Jean-Franois BAQUET -- Aot 2000
# gedail@baquet.org - http://www.baquet.org

use gedail_pack qw(gedail_main);

if ( @ARGV and ( $#ARGV == 0 ) ) {
	if ( $ARGV[0] =~ /(.*)\.(ged|GED)$/ ) {
		$file_ged = $ARGV[0];
		$file_opt = $1 . ".opt";
	}
	elsif ( $ARGV[0] =~ /(.*)\.(opt|OPT)$/ ) { $file_opt = $ARGV[0]; }
	else { usage ("* Filetype error"); }
	}
elsif ( $#ARGV == 1 ) {
	$file_opt = $ARGV[0];
	if ( $file_opt !~ /(.*)\.(opt|OPT)$/ ) { usage ("* Filetype error"); }
	$file_ged = $ARGV[1];
	if ( $file_ged !~ /(.*)\.(ged|GED)$/ ) { usage ("* Filetype error"); }
	}
elsif (@ARGV) { &usage; }

&gedail_main($file_ged,$file_opt);

#############################################
# Abort if wrong parameter usage
sub usage {
	my $err=shift;
	die "$err * usage: $0 [option_file.opt][gedcom_file.ged]\n";
}
