#
#	Geocodes.pm
#
#	variables (synonymes obsoletes)
#	%countrycodes 
#	%regioncodes
# %countrycodes1 pays a ne trouver qu'entre des "," ou des parentheses ou seuls 
# %countrycodes2 pays a trouver n'importe ou - en priorite en dernier
# $regioncode{USA} codes geographiques mis en route que si defaultcountry=USA
#			 ou si le pays est identifie dans les mots clefs
# %regioncodespe1 codes correspondant a des regions qui contiennent des subregions 
# %regioncodespe2 idem 1=mots a ne trouve qu'entre des , ou parentheses 2=partout
# %regioncodes1 codes geographiques a ne trouver qu'entre , ou parentheses
# %regioncodes2 codes geographiques a trouver partout
# %subregion2regionFRA correspondance codes subregions -> region
# %country2name correspondance code pays -> pays

package Geocodes;
%countrycodes1 = (
'new france' => 'CAN',
'netherlands antilles' => 'ANT',
'sint eustatius' => 'ANT',
'united arab emirates' => 'ARE',
'american samoa' => 'ASM',
'french southern territories' => 'ATF',
'b' => 'BEL',
'burkina faso' => 'BFA',
'bouvet island' => 'BVT',
'central african' => 'CAF',
'cn' => 'CAN',
'nouvelle France' => 'CAN',
'cocos island' => 'CCK',
'keeling islands' => 'CCK',
'che' => 'CHE',
'cote d ivoire' => 'CIV',
'cook islands' => 'COK',
'cape verde' => 'CPV',
'costa rica' => 'CRI',
'christmas island' => 'CXR',
'cayman islands' => 'CYM',
'czech republic' => 'CZE',
'tchecoslovaquie' => 'CZE',
'd' => 'DEU',
'germ' => 'DEU',
'la dominique' => 'DMA',
'dominican republic' => 'DOM',
'santo domingo' => 'DOM',
'e' => 'ESP',
'western sahara' => 'ESH',
'est' => 'EST',
'falkland islands' => 'FLK',
'f' => 'FRA',
'faroe islands' => 'FRO',
'brit' => 'GBR',
'grande bretagne' => 'GBR',
'great britain' => 'GBR',
'u k' => 'GBR',
'united kingdom' => 'GBR',
'la desirade' => 'GLP',
'les saintes' => 'GLP',
'marie galante' => 'GLP',
'st barthelemy' => 'GLP',
'guinea bissau' => 'GNB',
'equatorial guinea' => 'GNQ',
'french guiana' => 'GUF',
'hong kong' => 'HKG',
'heard islands' => 'HMD',
'mc donald islands' => 'HMD',
'la tortue' => 'HTI',
'st domingue' => 'HTI',
'british indian ocean territory' => 'IOT',
'ir' => 'IRL',
'i' => 'ITA',
'saint kitts' => 'KNA',
'st christophe' => 'KNA',
'saint lucia' => 'LCA',
'saint lucie' => 'LCA',
'sri lanka' => 'LKA',
'l' => 'LUX',
'republique malgache' => 'MDG',
'northern mariana islands' => 'MNP',
'ile maurice' => 'MUS',
'new caledonia' => 'NCL',
'nouvelle caledonie' => 'NCL',
'noumea' => 'NCL',
'nouvelle caledonie' => 'NCL',
'nlle caledonie' => 'NCL',
'norfolk island' => 'NFK',
'dutch republic' => 'NLD',
'pays bas' => 'NLD',
'new zealand' => 'NZL',
'papua new guinea' => 'PNG',
'puerto rico' => 'PRI',
'p r' => 'PRI',
'north korea' => 'PRK',
'french polynesia' => 'PYF',
'iles marquises' => 'PYF',
'polynesie francaise' => 'PYF',
'ile bourbon' => 'REU',
'saudi arabia' => 'SAU',
'south georgia islands' => 'SGS',
'south sandwich islands' => 'SGS',
'jan mayen' => 'SJM',
'svalbard islands' => 'SJM',
'solomon islands' => 'SLB',
'sierra leone' => 'SLE',
'el salvador' => 'SLV',
'san marino' => 'SMR',
'pierre miquelon' => 'SPM',
'sao tome' => 'STP',
'slovak republic' => 'SVK',
's' => 'SWE',
'se' => 'SWE',
'caicos islands' => 'TCA',
'turks caicos' => 'TCA',
'east timor' => 'TMP',
'constantinople' => 'TUR',
'minor outlying islands' => 'UMI',
'america' => 'USA',
'etats unis' => 'USA',
'new england' => 'USA',
'u s' => 'USA',
'u s a' => 'USA',
'united states' => 'USA',
'saint vincent' => 'VCT',
'st thomas' => 'VIR',
'ste croix' => 'VIR',
'viet nam' => 'VNM',
'wallis et futuna' => 'WLF',
'cape colony' => 'ZAF',
'cape town' => 'ZAF',
's africa' => 'ZAF',
'south africa' => 'ZAF',
);
%countrycodes2 = (
'aruba' => 'ABW',
'afghanistan' => 'AFG',
'afganistan' => 'AFG',
'angola' => 'AGO',
'anguilla' => 'AIA',
'anguille' => 'AIA',
'albania' => 'ALB',
'albanie' => 'ALB',
'andorra' => 'AND',
'saba' => 'ANT',
'curaco' => 'ANT',
'curacao' => 'ANT',
'bonaire' => 'ANT',
'argentina' => 'ARG',
'argentine' => 'ARG',
'armenia' => 'ARM',
'antarctica' => 'ATA',
'barbuda' => 'ATG',
'antigua' => 'ATG',
'antigue' => 'ATG',
'aus' => 'AUS',
'australia' => 'AUS',
'aust' => 'AUS',
'aut' => 'AUT',
'austria' => 'AUT',
'autriche' => 'AUT',
'oesterreich' => 'AUT',
'azerbaijan' => 'AZE',
'burundi' => 'BDI',
'bel' => 'BEL',
'belgie' => 'BEL',
'belgium' => 'BEL',
'belgique' => 'BEL',
'benin' => 'BEN',
'dahomey' => 'BEN',
'bangladesh' => 'BGD',
'bulgaria' => 'BGR',
'bahrain' => 'BHR',
'bahamas' => 'BHS',
'bosnia' => 'BIH',
'herzegowina' => 'BIH',
'belarus' => 'BLR',
'bielorussie' => 'BLR',
'byelorussia' => 'BLR',
'belize' => 'BLZ',
'bermuda' => 'BMU',
'bolivia' => 'BOL',
'bra' => 'BRA',
'brazil' => 'BRA',
'bresil' => 'BRA',
'barbados' => 'BRB',
'brunei' => 'BRN',
'bhutan' => 'BTN',
'botswana' => 'BWA',
'centrafrique' => 'CAF',
'can' => 'CAN',
'canada' => 'CAN',
'terre neuve' => 'CAN',
'ch' => 'CHE',
'suisse' => 'CHE',
'switzerland' => 'CHE',
'switz' => 'CHE',
'switzld' => 'CHE',
'switzerld' => 'CHE',
'sui' => 'CHE',
'chile' => 'CHL',
'chi' => 'CHL',
'chili' => 'CHL',
'china' => 'CHN',
'chine' => 'CHN',
'cameroon' => 'CMR',
'congo' => 'COG',
'colombia' => 'COL',
'comoros' => 'COM',
'cuba' => 'CUB',
'cyprus' => 'CYP',
'chypre' => 'CYP',
'czech' => 'CZE',
'bohemia' => 'CZE',
'czeckoslovakia' => 'CZE',
'tchecoslovaquie' => 'CZE',
'tch' => 'CZE',
'moravia' => 'CZE',
'ger' => 'DEU',
'deu' => 'DEU',
'prussia' => 'DEU',
'germany' => 'DEU',
'g' => 'DEU',
'duitsland' => 'DEU',
'deutchland' => 'DEU',
'rfa' => 'DEU',
'prusse' => 'DEU',
'pru' => 'DEU',
'allemagne' => 'DEU',
'preussen' => 'DEU',
'djibouti' => 'DJI',
'dominica' => 'DMA',
'dnk' => 'DNK',
'dk' => 'DNK',
'den' => 'DNK',
'denmark' => 'DNK',
'danemark' => 'DNK',
'algerie' => 'DZA',
'algeria' => 'DZA',
'dza' => 'DZA',
'alg' => 'DZA',
'dz' => 'DZA',
'ecuador' => 'ECU',
'egypt' => 'EGY',
'egy' => 'EGY',
'egypte' => 'EGY',
'eritrea' => 'ERI',
'sp' => 'ESP',
'esp' => 'ESP',
'spain' => 'ESP',
'espana' => 'ESP',
'espanha' => 'ESP',
'espagne' => 'ESP',
'estonia' => 'EST',
'ethiopia' => 'ETH',
'finland' => 'FIN',
'fiji' => 'FJI',
'fr' => 'FRA',
'fra' => 'FRA',
'franc' => 'FRA',
'france' => 'FRA',
'gaule' => 'FRA',
'francia' => 'FRA',
'frankryk' => 'FRA',
'frankrijk' => 'FRA',
'fro' => 'FRO',
'micronesia' => 'FSM',
'gabon' => 'GAB',
'gb' => 'GBR',
'uk' => 'GBR',
'gbr' => 'GBR',
'eng' => 'GBR',
'engl' => 'GBR',
'england' => 'GBR',
'engeland' => 'GBR',
'angleterre' => 'GBR',
'ghana' => 'GHA',
'gibraltar' => 'GIB',
'guinea' => 'GIN',
'guadeloupe' => 'GLP',
'gambia' => 'GMB',
'greece' => 'GRC',
'grece' => 'GRC',
'gre' => 'GRC',
'grenada' => 'GRD',
'greenland' => 'GRL',
'gronland' => 'GRL',
'guatemala' => 'GTM',
'guyane' => 'GUF',
'guyanne' => 'GUF',
'guam' => 'GUM',
'guyana' => 'GUY',
'honduras' => 'HND',
'croatia' => 'HRV',
'hrvatska' => 'HRV',
'haiti' => 'HTI',
'hungary' => 'HUN',
'hongrie' => 'HUN',
'hungarian' => 'HUN',
'indonesia' => 'IDN',
'india' => 'IND',
'inde' => 'IND',
'eire' => 'IRL',
'irl' => 'IRL',
'irland' => 'IRL',
'ireland' => 'IRL',
'irlande' => 'IRL',
'ire' => 'IRL',
'iran' => 'IRN',
'iraq' => 'IRQ',
'iceland' => 'ISL',
'israel' => 'ISR',
'isr' => 'ISR',
'ita' => 'ITA',
'it' => 'ITA',
'italy' => 'ITA',
'italia' => 'ITA',
'italie' => 'ITA',
'itl' => 'ITA',
'jam' => 'JAM',
'jamaica' => 'JAM',
'jordan' => 'JOR',
'japan' => 'JPN',
'kazakhstan' => 'KAZ',
'kenya' => 'KEN',
'kyrgyzstan' => 'KGZ',
'cambodia' => 'KHM',
'cambodge' => 'KHM',
'kiribati' => 'KIR',
'nevis' => 'KNA',
'korea' => 'KOR',
'coree' => 'KOR',
'kuwait' => 'KWT',
'laos' => 'LAO',
'lebanon' => 'LBN',
'liban' => 'LBN',
'liban' => 'LBN',
'liberia' => 'LBR',
'libya' => 'LBY',
'liechtenstein' => 'LIE',
'lesotho' => 'LSO',
'lithuania' => 'LTU',
'lit' => 'LTU',
'luxemburg' => 'LUX',
'luxembourg' => 'LUX',
'gdl' => 'LUX',
'latvia' => 'LVA',
'macau' => 'MAC',
'maroc' => 'MAR',
'morocco' => 'MAR',
'monaco' => 'MCO',
'moldova' => 'MDA',
'madagascar' => 'MDG',
'malgache' => 'MDG',
'maldives' => 'MDV',
'mex' => 'MEX',
'mexico' => 'MEX',
'macedonia' => 'MKD',
'mali' => 'MLI',
'malta' => 'MLT',
'malte' => 'MLT',
'myanmar' => 'MMR',
'birmanie' => 'MMR',
'mongolia' => 'MNG',
'mozambique' => 'MOZ',
'mauritania' => 'MRT',
'montserrat' => 'MSR',
'martinique' => 'MTQ',
'mauritius' => 'MUS',
'malawi' => 'MWI',
'malaysia' => 'MYS',
'mal' => 'MYS',
'mayotte' => 'MYT',
'namibia' => 'NAM',
'niger' => 'NER',
'nigeria' => 'NGA',
'nicaragua' => 'NIC',
'niue' => 'NIU',
'nl' => 'NLD',
'nld' => 'NLD',
'hol' => 'NLD',
'holland' => 'NLD',
'hollande' => 'NLD',
'nederland' => 'NLD',
'netherlands' => 'NLD',
'net' => 'NLD',
'nor' => 'NOR',
'norge' => 'NOR',
'norway' => 'NOR',
'norvege' => 'NOR',
'nepal' => 'NPL',
'nauru' => 'NRU',
'oman' => 'OMN',
'ons' => 'ONS',
'pakistan' => 'PAK',
'palestine' => 'ISR',
'panama' => 'PAN',
'pitcairn' => 'PCN',
'peru' => 'PER',
'perou' => 'PER',
'philippines' => 'PHL',
'phillipines' => 'PHL',
'manille' => 'PHL',
'palau' => 'PLW',
'pol' => 'POL',
'poland' => 'POL',
'pologne' => 'POL',
'pl' => 'POL',
'portugal' => 'PRT',
'paraguay' => 'PRY',
'qatar' => 'QAT',
'reunion' => 'REU',
'974' => 'REU',
'romania' => 'ROM',
'romanie' => 'ROM',
'rumania' => 'ROM',
'russie' => 'RUS',
'rus' => 'RUS',
'russia' => 'RUS',
'rwanda' => 'RWA',
'sudan' => 'SDN',
'senegal' => 'SEN',
'singapore' => 'SGP',
'singapour' => 'SGP',
's*helena' => 'SHN',
'somalia' => 'SOM',
'principe' => 'STP',
'slovakia' => 'SVK',
'slovenia' => 'SVN',
'swe' => 'SWE',
'sweden' => 'SWE',
'swdn' => 'SWE',
'swedn' => 'SWE',
'sweeden' => 'SWE',
'swaziland' => 'SWZ',
'seychelles' => 'SYC',
'syrie' => 'SYR',
'syria' => 'SYR',
'chad' => 'TCD',
'tchad' => 'TCD',
'togo' => 'TGO',
'thailand' => 'THA',
'tajikistan' => 'TJK',
'tokelau' => 'TKL',
'turkmenistan' => 'TKM',
'tonga' => 'TON',
'tobago' => 'TTO',
'trinidad' => 'TTO',
'tunisie' => 'TUN',
'tunisia' => 'TUN',
'turkey' => 'TUR',
'turquie' => 'TUR',
'tur' => 'TUR',
'tuvalu' => 'TUV',
'taiwan' => 'TWN',
'tanzania' => 'TZA',
'uganda' => 'UGA',
'ukraine' => 'UKR',
'uruguay' => 'URY',
'uru' => 'URY',
'us' => 'USA',
'usa' => 'USA',
'uzbekistan' => 'UZB',
'vatican' => 'VAT',
'grenadines' => 'VCT',
'venezuela' => 'VEN',
'indochine' => 'VNM',
'vietnam' => 'VNM',
'saigon' => 'VNM',
'vanuatu' => 'VUT',
'samoa' => 'WSM',
'yemen' => 'YEM',
'aden' => 'YEM',
'yugoslavia' => 'YUG',
'montenegro' => 'YUG',
'yougoslavie' => 'YUG',
'dalmatie' => 'YUG',
'montenegro' => 'YUG',
'rsa' => 'ZAF',
'zaire' => 'ZAR',
'zambia' => 'ZMB',
'zimbabwe' => 'ZWE',
);

$regioncode{AUT} = {
'vienne' => ['',WIE,AUT],
};

$regioncode{BEL} = {
'my' => ['',LIE,BEL],
'as' => ['',LIM,BEL],
'on' => ['',LUX,BEL],
'lo' => ['',WVL,BEL],
'lot' => ['',BRA,BEL],
'tilly' => ['',BRA,BEL],
'beloeil' => ['',HAI,BEL],
'havre' => ['',HAI,BEL],
'neuville' => ['',NAM,BEL],
'riviere' => ['',NAM,BEL],
'saint martin' => ['',NAM,BEL],
'beaumont' => ['',HAI,BEL],
'clermont' => ['',LIE,BEL],
'ferrieres' => ['',LIE,BEL],
'mere' => ['',OVL,BEL],
'forest' => ['',BRA,BEL],
'rosieres' => ['',BRA,BEL],
'deurne' => ['',ANT,BEL],
'saint pierre' => ['',LUX,BEL],
'saintes' => ['',BRA,BEL],
};

$regioncode{CAN} = {
'ak' => ['',ASK,USA],
'al' => ['',ALA,USA],
'ar' => ['',ARK,USA],
'az' => ['',ARI,USA],
'ca' => ['',CAL,USA],
'ct' => ['',CON,USA],
'de' => ['',DEL,USA],
'fl' => ['',FLO,USA],
'ga' => ['',GEO,USA],
'hi' => ['',HAW,USA],
'ia' => ['',IOW,USA],
'id' => ['',IDA,USA],
'il' => ['',ILL,USA],
'in' => ['',IND,USA],
'ks' => ['',KAN,USA],
'ky' => ['',KEN,USA],
'la' => ['',LOU,USA],
'ma' => ['',MAS,USA],
'md' => ['',MAR,USA],
'me' => ['',MAI,USA],
'mi' => ['',MIC,USA],
'mn' => ['',MIN,USA],
'mo' => ['',MSR,USA],
'ms' => ['',MSP,USA],
'mt' => ['',MON,USA],
'nc' => ['',NCA,USA],
'nd' => ['',NDA,USA],
'ne' => ['',NEB,USA],
'nh' => ['',NHA,USA],
'nj' => ['',NJE,USA],
'nm' => ['',NME,USA],
'nv' => ['',NEV,USA],
'ny' => ['',NYO,USA],
'oh' => ['',OHI,USA],
'ok' => ['',OKL,USA],
'or' => ['',ORE,USA],
'pa' => ['',PEN,USA],
'ri' => ['',RIS,USA],
'sc' => ['',SCA,USA],
'sd' => ['',SDA,USA],
'tn' => ['',TEN,USA],
'tx' => ['',TEX,USA],
'ut' => ['',UTA,USA],
'va' => ['',VIR,USA],
'vt' => ['',VER,USA],
'wa' => ['',WAS,USA],
'wi' => ['',WIS,USA],
'wv' => ['',WVI,USA],
'wy' => ['',WYO,USA],
'bc' => ['',BCO,CAN],
'mb' => ['',MAN,CAN],
'nb' => ['',NBR,CAN],
'nb' => ['',NBR,CAN],
'nf' => ['',NLA,CAN],
'ns' => ['',NSC,CAN],
'nt' => ['',NWT,CAN],
'on' => ['',ONT,CAN],
'on' => ['',ONT,CAN],
'pe' => ['',PEI,CAN],
'qc' => ['',QUE,CAN],
'sk' => ['',SAS,CAN],
'yt' => ['',YUK,CAN],
};

$regioncode{CHE} = {
'ag' => ['',AAR,CHE],
'ar' => ['',APP,CHE],
'ai' => ['',APP,CHE],
'bs' => ['',BAS,CHE],
'bl' => ['',BAS,CHE],
'be' => ['',BER,CHE],
'fr' => ['',FRB,CHE],
'ge' => ['',GEN,CHE],
'gl' => ['',GLA,CHE],
'gr' => ['',GRA,CHE],
'ju' => ['',JUR,CHE],
'lu' => ['',LUZ,CHE],
'ne' => ['',NEU,CHE],
'sg' => ['',SAG,CHE],
'sh' => ['',SCN,CHE],
'sz' => ['',SCZ,CHE],
'so' => ['',SOL,CHE],
'tg' => ['',THU,CHE],
'ti' => ['',TIC,CHE],
'ur' => ['',URI,CHE],
'vs' => ['',VAL,CHE],
'vd' => ['',VAU,CHE],
'ow' => ['',WAL,CHE],
'nw' => ['',WAL,CHE],
'zg' => ['',ZUG,CHE],
'zh' => ['',ZUR,CHE],
'jura' => ['',JUR,CHE],
};

$regioncode{FRA} = {
'jura' => [F39,FCO,FRA],
};

$regioncode{ITA} = {
'te' => [TRM,ABR,ITA],
'pe' => [PES,ABR,ITA],
'ch' => [CHI,ABR,ITA],
'aq' => [AQU,ABR,ITA],
'ab' => ['',ABR,ITA],
'ao' => [AOS,AOS,ITA],
'ta' => [TAR,APU,ITA],
'le' => [LEC,APU,ITA],
'fg' => [FOG,APU,ITA],
'br' => [BRI,APU,ITA],
'ba' => [BAR,APU,ITA],
'pz' => [POT,BAS,ITA],
'mt' => [MAT,BAS,ITA],
'rc' => [RCA,CAL,ITA],
'cz' => [CTZ,CAL,ITA],
'cs' => [COS,CAL,ITA],
'sa' => [SAL,CAM,ITA],
'na' => [NAP,CAM,ITA],
'cp' => ['',CAM,ITA],
'ce' => [CAS,CAM,ITA],
'bn' => [BEN,CAM,ITA],
'av' => [AVE,CAM,ITA],
're' => [REM,ERO,ITA],
'ra' => [RAV,ERO,ITA],
'pr' => [PAR,ERO,ITA],
'pc' => [PIA,ERO,ITA],
'mo' => [MOD,ERO,ITA],
'fo' => [FOR,ERO,ITA],
'fe' => [FER,ERO,ITA],
'bo' => [BLG,ERO,ITA],
'er' => ['',ERO,ITA],
'ud' => [UDI,FRI,ITA],
'ts' => [TRI,FRI,ITA],
'pn' => [POR,FRI,ITA],
'go' => [GOR,FRI,ITA],
'vt' => [VIT,LAT,ITA],
'ro' => [ROM,LAT,ITA],
'ri' => [RIE,LAT,ITA],
'lt' => [LAT,LAT,ITA],
'la' => ['',LAT,ITA],
'fr' => [FRO,LAT,ITA],
'sv' => [SAV,LIG,ITA],
'sp' => [SPE,LIG,ITA],
'im' => [IMP,LIG,ITA],
'ge' => [GEN,LIG,ITA],
'va' => [VAR,LOM,ITA],
'so' => [SON,LOM,ITA],
'pv' => [PAV,LOM,ITA],
'mn' => [MAN,LOM,ITA],
'mi' => [MIL,LOM,ITA],
'lo' => ['',LOM,ITA],
'cr' => [CRE,LOM,ITA],
'co' => [COM,LOM,ITA],
'bs' => [BRE,LOM,ITA],
'bg' => [BER,LOM,ITA],
'ps' => [PUR,MAR,ITA],
'mc' => [MAC,MAR,ITA],
'ma' => ['',MAR,ITA],
'ap' => [ASP,MAR,ITA],
'an' => [ANC,MAR,ITA],
'is' => [ISE,MOL,ITA],
'cb' => [CAM,MOL,ITA],
'vc' => [VRC,PIE,ITA],
'to' => [TOR,PIE,ITA],
'no' => [NOV,PIE,ITA],
'cu' => [CUN,PIE,ITA],
'at' => [AST,PIE,ITA],
'al' => [ALE,PIE,ITA],
'ss' => [SAS,SAR,ITA],
'or' => [ORI,SAR,ITA],
'nu' => [NUO,SAR,ITA],
'ca' => [CAG,SAR,ITA],
'tp' => [TRA,SIC,ITA],
'sr' => [SIR,SIC,ITA],
'rg' => [RAG,SIC,ITA],
'pa' => [PAL,SIC,ITA],
'me' => [MES,SIC,ITA],
'en' => [ENN,SIC,ITA],
'ct' => [CTN,SIC,ITA],
'cl' => [CAL,SIC,ITA],
'ag' => [AGR,SIC,ITA],
'tn' => [TRE,TRE,ITA],
'bz' => [BLZ,TRE,ITA],
'tu' => ['',TUS,ITA],
'si' => [SIE,TUS,ITA],
'pt' => [PST,TUS,ITA],
'pi' => [PSA,TUS,ITA],
'ms' => [MAS,TUS,ITA],
'lu' => [LUC,TUS,ITA],
'li' => [LIV,TUS,ITA],
'gr' => [GRO,TUS,ITA],
'fi' => [FIR,TUS,ITA],
'ar' => [ARE,TUS,ITA],
'um' => ['',UMB,ITA],
'tr' => [TRN,UMB,ITA],
'pu' => [PER,UMB,ITA],
'vr' => [VRN,VEN,ITA],
'vi' => [VIC,VEN,ITA],
've' => [VEN,VEN,ITA],
'tv' => [TRV,VEN,ITA],
'pd' => [PAD,VEN,ITA],
'bl' => [BEL,VEN,ITA],
};

$regioncode{NLD} = {
'fr' => ['',FRI,NLD],
'dr' => ['',DRE,NLD],
'ge' => ['',GEL,NLD],
'gr' => ['',GRO,NLD],
'li' => ['',LIM,NLD],
'nb' => ['',NBR,NLD],
'nh' => ['',NHO,NLD],
'ov' => ['',OVE,NLD],
'ut' => ['',UTR,NLD],
'ze' => ['',ZEE,NLD],
'zh' => ['',ZUI,NLD],
'deurne' => ['',NBR,NLD],
};

$regioncode{USA} = {
'new mexico' => ['',NME,USA],
'ak' => ['',ASK,USA],
'al' => ['',ALA,USA],
'ar' => ['',ARK,USA],
'az' => ['',ARI,USA],
'ca' => ['',CAL,USA],
'ct' => ['',CON,USA],
'de' => ['',DEL,USA],
'fl' => ['',FLO,USA],
'ga' => ['',GEO,USA],
'hi' => ['',HAW,USA],
'ia' => ['',IOW,USA],
'id' => ['',IDA,USA],
'il' => ['',ILL,USA],
'in' => ['',IND,USA],
'ks' => ['',KAN,USA],
'ky' => ['',KEN,USA],
'la' => ['',LOU,USA],
'ma' => ['',MAS,USA],
'md' => ['',MAR,USA],
'me' => ['',MAI,USA],
'mi' => ['',MIC,USA],
'mn' => ['',MIN,USA],
'mo' => ['',MSR,USA],
'ms' => ['',MSP,USA],
'mt' => ['',MON,USA],
'nc' => ['',NCA,USA],
'nd' => ['',NDA,USA],
'ne' => ['',NEB,USA],
'nh' => ['',NHA,USA],
'nj' => ['',NJE,USA],
'nm' => ['',NME,USA],
'nv' => ['',NEV,USA],
'ny' => ['',NYO,USA],
'oh' => ['',OHI,USA],
'ok' => ['',OKL,USA],
'or' => ['',ORE,USA],
'pa' => ['',PEN,USA],
'ri' => ['',RIS,USA],
'sc' => ['',SCA,USA],
'sd' => ['',SDA,USA],
'tn' => ['',TEN,USA],
'tx' => ['',TEX,USA],
'ut' => ['',UTA,USA],
'va' => ['',VIR,USA],
'vt' => ['',VER,USA],
'wa' => ['',WAS,USA],
'wi' => ['',WIS,USA],
'wv' => ['',WVI,USA],
'wy' => ['',WYO,USA],
'bc' => ['',BCO,CAN],
'mb' => ['',MAN,CAN],
'nb' => ['',NBR,CAN],
'nb' => ['',NBR,CAN],
'nf' => ['',NLA,CAN],
'ns' => ['',NSC,CAN],
'nt' => ['',NWT,CAN],
'on' => ['',ONT,CAN],
'on' => ['',ONT,CAN],
'pe' => ['',PEI,CAN],
'qc' => ['',QUE,CAN],
'sk' => ['',SAS,CAN],
'yt' => ['',YUK,CAN],
'georgia' => ['',GEO,USA],
};

%regioncodespe1 = (
'sachsen' => ['',SAC,DEU],
'sachsen anhalt' => ['',SAN,DEU],
's hlst' => ['',SHO,DEU],
's h' => ['',SHO,DEU],
'castilla la mancha' => ['',CLM,ESP],
'castilla leon' => ['',CYL,ESP],
'pais vasco' => ['',PVA,ESP],
'franche comte' => ['',FCO,FRA],
'ile de france' => ['',IDF,FRA],
'midi pyrenee' => ['',MPY,FRA],
'nord pas de calais' => ['',NPC,FRA],
'cote d azur' => ['',PCA,FRA],
'poitou charente' => ['',PCH,FRA],
'pays de loire' => ['',PDL,FRA],
'rhone alpes' => ['',RAL,FRA],
'channel isles' => ['',CHI,GBR],
'sct' => ['',SCT,GBR],
'north ireland' => ['',ULS,GBR],
'northern ireland' => ['',ULS,GBR],
'n ireland' => ['',ULS,GBR],
'nisoi aiyaiou' => ['',AIY,GRC],
'nisoi ionioi' => ['',ION,GRC],
'sterea ellas' => ['',SEE,GRC],
'gyor moson' => ['',GMS,HUN],
'hajdu bihar' => ['',HBI,HUN],
'aosta valley' => ['',AOS,ITA],
'emilia romagna' => ['',ERO,ITA],
);

%regioncodespe2 = (
'baden' => ['',BWU,DEU],
'bad' => ['',BWU,DEU],
'bade' => ['',BWU,DEU],
'wuerttemberg' => ['',BWU,DEU],
'wur' => ['',BWU,DEU],
'wuerttemburg' => ['',BWU,DEU],
'wurtemberg ' => ['',BWU,DEU],
'wurttemberg' => ['',BWU,DEU],
'wurttembery' => ['',BWU,DEU],
'wurttemburg' => ['',BWU,DEU],
'wurttenberg' => ['',BWU,DEU],
'bavaria' => ['',BAY,DEU],
'bayern' => ['',BAY,DEU],
'bav' => ['',BAY,DEU],
'berlijn' => ['',BER,DEU],
'berlin' => ['',BER,DEU],
'brandenburg' => ['',BRA,DEU],
'bremen' => ['',BRE,DEU],
'baden' => ['',BWU,DEU],
'tuttlingen' => ['',BWU,DEU],
'hamburg' => ['',HAM,DEU],
'hesse' => ['',HES,DEU],
'hessen' => ['',HES,DEU],
'mecklenburg' => ['',MVO,DEU],
'vorpommern' => ['',MVO,DEU],
'niedersachsen' => ['',NIE,DEU],
'nordrhein' => ['',NWE,DEU],
'westfalen' => ['',NWE,DEU],
'westphalie' => ['',NWE,DEU],
'westph' => ['',NWE,DEU],
'rheinpfalz' => ['',RPF,DEU],
'rheinland' => ['',RPF,DEU],
'pfalz' => ['',RPF,DEU],
'saarbruken' => ['',SAA,DEU],
'saarland' => ['',SAA,DEU],
'sarre' => ['',SAA,DEU],
'schleswig' => ['',SHO,DEU],
'schlho' => ['',SHO,DEU],
'schles' => ['',SHO,DEU],
'schlesw' => ['',SHO,DEU],
'schl' => ['',SHO,DEU],
'thuringen' => ['',THU,DEU],
'thuringia' => ['',THU,DEU],
'andalucia' => ['',AND,ESP],
'aragon' => ['',ARA,ESP],
'cataluna' => ['',CAT,ESP],
'extremadura' => ['',EXT,ESP],
'galicia' => ['',GAL,ESP],
'alsace' => ['',ALS,FRA],
'aquitaine' => ['',AQU,FRA],
'auvergne' => ['',AUV,FRA],
'bourgogne' => ['',BOU,FRA],
'morvan' => ['',BOU,FRA],
'bretagne' => ['',BRE,FRA],
'brittany' => ['',BRE,FRA],
'beauce' => ['',CEN,FRA],
'centre' => ['',CEN,FRA],
'champagne' => ['',CHA,FRA],
'seine' => ['',IDF,FRA],
'limousin' => ['',LIM,FRA],
'lorraine' => ['',LOR,FRA],
'languedoc' => ['',LRO,FRA],
'roussillon' => ['',LRO,FRA],
'quercy' => ['',MPY,FRA],
'normandie' => ['',NOR,FRA],
'normandie' => ['',NOR,FRA],
'normandy' => ['',NOR,FRA],
'provence' => ['',PCA,FRA],
'poitou' => ['',PCH,FRA],
'picardie' => ['',PIC,FRA],
'picardy' => ['',PIC,FRA],
'sussex' => ['',ENG,GBR],
'yorkshire' => ['',ENG,GBR],
'sco' => ['',SCT,GBR],
'scot' => ['',SCT,GBR],
'scotland' => ['',SCT,GBR],
'ecosse' => ['',SCT,GBR],
'skotland' => ['',SCT,GBR],
'ulster' => ['',ULS,GBR],
'glamorgan' => ['',WLS,GBR],
'wales' => ['',WLS,GBR],
'wls' => ['',WLS,GBR],
'ipiros' => ['',IPI,GRC],
'kriti' => ['',KRI,GRC],
'makedhonia' => ['',MAK,GRC],
'peloponnisos' => ['',PEL,GRC],
'thessalia' => ['',THE,GRC],
'thraki' => ['',THR,GRC],
'connaught' => ['',CON,IRL],
'leinster' => ['',LEI,IRL],
'munster' => ['',MUN,IRL],
'ulster' => ['',ULS,IRL],
'abruzzi' => ['',ABR,ITA],
'apulia' => ['',APU,ITA],
'basilicata' => ['',BAS,ITA],
'calabria' => ['',CAL,ITA],
'campania' => ['',CAM,ITA],
'friuli' => ['',FRI,ITA],
'latium' => ['',LAT,ITA],
'liguria' => ['',LIG,ITA],
'lombardy' => ['',LOM,ITA],
'marche' => ['',MAR,ITA],
'molise' => ['',MOL,ITA],
'piemonte' => ['',PIE,ITA],
'sardinia' => ['',SAR,ITA],
'sicily' => ['',SIC,ITA],
'sicile' => ['',SIC,ITA],
'trentino' => ['',TRE,ITA],
'tuscany' => ['',TUS,ITA],
'umbria' => ['',UMB,ITA],
'veneto' => ['',VEN,ITA],
);

%regioncodes1 = (
'buenos aires' => ['',BAI,ARG],
'entre rios' => ['',ERI,ARG],
'la pampa' => ['',LPA,ARG],
'la rioja' => ['',LRI,ARG],
'rio negro' => ['',RNE,ARG],
'santo cruz' => ['',SCR,ARG],
'santiago del estero' => ['',SDE,ARG],
'santa fe' => ['',SFE,ARG],
'san juan' => ['',SJU,ARG],
'san luis' => ['',SLU,ARG],
'tierra del fuego' => ['',TDF,ARG],
'new south wales' => ['',NSW,AUS],
'q land' => ['',QUE,AUS],
'northern territory' => ['',SAU,AUS],
'south australia' => ['',SAU,AUS],
'west aust' => ['',WAU,AUS],
'western australia' => ['',WAU,AUS],
'n s w' => ['',NSW,AUS],
'ost vlaanderen' => ['',OVL,BEL],
'flandre orientale' => ['',OVL,BEL],
'west vlaanderen' => ['',WVL,BEL],
'flandre occidentale' => ['',WVL,BEL],
'grad sofiya' => ['',GSO,BGR],
'la paz' => ['',LPA,BOL],
'santa cruz' => ['',SCR,BOL],
'acre' => ['',ACR,BRA],
'espirito santo' => ['',ESA,BRA],
'minas gerais' => ['',MGE,BRA],
'minas gerais' => ['',MGE,BRA],
'mato grosso' => ['',MGR,BRA],
'mato grosso do sul' => ['',MGS,BRA],
'rio de janeiro' => ['',RDJ,BRA],
'rio grande de norte' => ['',RGN,BRA],
'rio grande del sul' => ['',RGS,BRA],
'santa catarina' => ['',SCA,BRA],
'sau paulo' => ['',SPA,BRA],
'british columbia' => ['',BCO,CAN],
'b c' => ['',BCO,CAN],
'new brunswick' => ['',NBR,CAN],
'nova scotia' => ['',NSC,CAN],
'n s' => ['',NSC,CAN],
'north west territories' => ['',NWT,CAN],
'prince edward island' => ['',PEI,CAN],
'p q' => ['',QUE,CAN],
'nova scot' => ['',NSC,CAN],
'basel land' => ['',BAS,CHE],
'basel stadt' => ['',BAS,CHE],
'saint gall' => ['',SGA,CHE],
'sankt gallen' => ['',SGA,CHE],
'aisen del general' => ['',AIS,CHL],
'libertador general' => ['',LIB,CHL],
'los lagos' => ['',LLA,CHL],
'los lagos' => ['',LLA,CHL],
'tara paca' => ['',TPA,CHL],
'norte de santander' => ['',NDS,COL],
'valle del cauca' => ['',VDC,COL],
'vichada guainia' => ['',VGU,COL],
'ciego avila' => ['',CDA,CUB],
'isla de la juventud' => ['',IDJ,CUB],
'la habana' => ['',LHA,CUB],
'las tunas' => ['',LTU,CUB],
'pinar del rio' => ['',PDR,CUB],
'santiago de cuba' => ['',SDC,CUB],
'sancti spiritus' => ['',SSP,CUB],
'villa clara' => ['',VCL,CUB],
'hesse darmstadt' => [DAR,HES,DEU],
'rhenhessen pfalz' => [RPF,RPF,DEU],
'weser ems' => [WEM,NIE,DEU],
'vest sjaelland' => ['',VES,DNK],
'el oro' => ['',EOR,ECU],
'los rios' => ['',LRO,ECU],
'morona santiago' => ['',MSA,ECU],
'ciudad real' => [CRE,CLM,ESP],
'la coruna' => [LCO,GAL,ESP],
'la rioja' => [LRI,LRI,ESP],
'keski suomi' => ['',KSU,FIN],
'alpes de haute provence' => [F04,PCA,FRA],
'hautes alpes' => [F05,PCA,FRA],
'alpes maritimes' => [F06,PCA,FRA],
'aube' => [F10,CHA,FRA],
'aude' => [F11,LRO,FRA],
'bouches du rhone' => [F13,PCA,FRA],
'cantal' => [F15,AUV,FRA],
'la rochelle' => [F17,PCH,FRA],
'charente maritime' => [F17,PCH,FRA],
'charente mme' => [F17,PCH,FRA],
'ile de Oleron' => [F17,PCH,FRA],
'chte mme' => [F17,PCH,FRA],
'saintonge' => [F17,PCH,FRA],
'correze' => [F19,LIM,FRA],
'cote d or' => [F21,BOU,FRA],
'cotes d armor' => [F22,BRE,FRA],
'cotes du nord' => [F22,BRE,FRA],
'cote d armor' => [F22,BRE,FRA],
'creuse' => [F23,LIM,FRA],
'eure et loire' => [F28,CEN,FRA],
'corse' => [F20,COR,FRA],
'haute garonne' => [F31,MPY,FRA],
'ille et vilaine' => [F35,BRE,FRA],
'ile et vilaine' => [F35,BRE,FRA],
'indre' => [F36,CEN,FRA],
'indre et loire' => [F37,CEN,FRA],
'landes' => [F40,AQU,FRA],
'loir et cher' => [F41,CEN,FRA],
'l chr' => [F41,CEN,FRA],
'loire' => [F42,RAL,FRA],
'haute loire' => [F43,AUV,FRA],
'loire atlantique' => [F44,PDL,FRA],
'loire inferieure' => [F44,PDL,FRA],
'pays nantais' => [F44,PDL,FRA],
'orleans' => [F45,CEN,FRA],
'lot' => [F46,MPY,FRA],
'lot et garonne' => [F47,AQU,FRA],
'maine et loire' => [F49,PDL,FRA],
'haute marne' => [F52,CHA,FRA],
'meurthe et moselle' => [F54,LOR,FRA],
'meuse' => [F55,LOR,FRA],
'moselle' => [F57,LOR,FRA],
'nord' => [F59,NPC,FRA],
'pas de calais' => [F62,NPC,FRA],
'puy de dome' => [F63,AUV,FRA],
'pays basque' => [F64,AQU,FRA],
'pyrenees atlantique' => [F64,AQU,FRA],
'hautes pyrenees' => [F65,MPY,FRA],
'pyrenees orientales' => [F66,LRO,FRA],
'bas rhin' => [F67,ALS,FRA],
'haut rhin' => [F68,ALS,FRA],
'haute saone' => [F70,FCO,FRA],
'saone et loire' => [F71,BOU,FRA],
'sarthe' => [F72,PDL,FRA],
'le mans' => [F72,PDL,FRA],
'haute savoie' => [F74,RAL,FRA],
'paris ier' => [F75,IDF,FRA],
'pays de caux' => [F76,NOR,FRA],
'seine maritime' => [F76,NOR,FRA],
'seine et marne' => [F77,IDF,FRA],
'saint germain en laye' => [F78,IDF,FRA],
'deux sevres' => [F79,PCH,FRA],
'somme' => [F80,PIC,FRA],
'tarn' => [F81,MPY,FRA],
'tarn et garonne' => [F82,MPY,FRA],
'var' => [F83,PCA,FRA],
'haute vienne' => [F87,LIM,FRA],
'territoire de belfort' => [F90,FCO,FRA],
'hauts de seine' => [F92,IDF,FRA],
'seine st denis' => [F93,IDF,FRA],
'val de marne' => [F94,IDF,FRA],
'val d oise' => [F95,IDF,FRA],
'essone' => [F91,IDF,FRA],
'den' => [CWD,WLS,GBR],
'mer' => [GWN,WLS,GBR],
'island of skye' => [HLD,SCT,GBR],
'ross cromarty' => [HLD,SCT,GBR],
'i o m' => [IOM,IOM,GBR],
'isle of man' => [IOM,IOM,GBR],
'isle of wight' => [IOW,ENG,GBR],
'lan' => [LAN,ENG,GBR],
'east lothian' => [LTN,SCT,GBR],
'west lothian' => [LTN,SCT,GBR],
'mid glamorgan' => [MGM,WLS,GBR],
'newcastle and tyne' => [NBL,ENG,GBR],
'north yorkshire' => [NYK,ENG,GBR],
'orkney isles' => [OKI,SCT,GBR],
'bre' => [POW,WLS,GBR],
'south glamorgan' => [SGM,WLS,GBR],
'shetland isles' => [SHI,SCT,GBR],
'east sussex' => [SXE,ENG,GBR],
'west sussex' => [SXW,ENG,GBR],
'south yorkshire' => [SYK,ENG,GBR],
'tyne wear' => [TWR,ENG,GBR],
'west glamorgan' => [WGM,WLS,GBR],
'western isles' => [WIS,SCT,GBR],
'west midlands' => [WMD,ENG,GBR],
'west yorkshire' => [WYK,ENG,GBR],
'aitolia kai akarnania' => [AKA,SEE,GRC],
'l aquila' => [AQU,ABR,ITA],
'ascoli piceno' => [ASP,MAR,ITA],
'massa carrera' => [MAS,TUS,ITA],
'pesaro urbino' => [PUR,MAR,ITA],
'reggio di calabria' => [RCA,CAL,ITA],
'reggio nell emilia' => [REM,ERO,ITA],
'la spezia' => [SPE,LIG,ITA],
'baja california norte' => ['',BCN,MEX],
'baja california sur' => ['',BCS,MEX],
'distrito federal' => ['',DFE,MEX],
'nuevo leon' => ['',NLE,MEX],
'quintana roo' => ['',QRO,MEX],
'san luis potosi' => ['',SLP,MEX],
'vera cruz' => ['',VCR,MEX],
'noord brabant' => ['',NBR,NLD],
'nord brabant' => ['',NBR,NLD],
'zuid holland' => ['',ZUI,NLD],
'n brabant' => ['',NBR,NLD],
'aust agder' => ['',AAG,NOR],
'nord trondelag' => ['',NTR,NOR],
'sogn og fjordane' => ['',SOF,NOR],
'sor trondelag' => ['',STR,NOR],
'sogn og fordane' => ['',SOF,NOR],
'n trondelag' => ['',NTR,NOR],
'vest agder' => ['',VAG,NOR],
'bay plenty' => ['',BOP,NZL],
'hawkes bay' => ['',HBA,NZL],
'nelson malborough' => ['',NMA,NZL],
'west coast' => ['',WCO,NZL],
'san martin' => ['',SMA,PER],
'bielsko biala' => ['',BIE,POL],
'biala podlaska' => ['',BPO,POL],
'jelenia gora' => ['',JGO,POL],
'zielona gora' => ['',ZGO,POL],
'castelo branco' => ['',CBR,PRT],
'viana do castelo' => ['',VDC,PRT],
'vila real' => ['',VRE,PRT],
'alto parana' => ['',APA,PRY],
'alto paraguay' => ['',APY,PRY],
'nueva asuncion' => ['',NAS,PRY],
'presidente hayes' => ['',PHA,PRY],
'san pedro' => ['',SPE,PRY],
'bistrita nasaud' => ['',BIS,ROM],
'caras severin' => ['',CSE,ROM],
'satu mare' => ['',SMA,ROM],
'ben arous' => ['',BAR,TUN],
'el kef' => ['',EKE,TUN],
'sidi bouzid' => ['',SBO,TUN],
'ivano frankivs' => ['',IFR,UKR],
'khmel nyts' => ['',KHM,UKR],
'respublika krym' => ['',KRY,UKR],
'l vivs' => ['',LVI,UKR],
'ternopil s' => ['',TER,UKR],
'ca' => ['',CAL,USA],
'co' => ['',COL,USA],
'de' => ['',DEL,USA],
'in' => ['',IND,USA],
'la' => ['',LOU,USA],
'n c' => ['',NCA,USA],
'north carolina' => ['',NCA,USA],
'north dakota' => ['',NDA,USA],
'n h' => ['',NHA,USA],
'new hampshire' => ['',NHA,USA],
'n j' => ['',NJE,USA],
'new jersey' => ['',NJE,USA],
'new mexico' => ['',NME,USA],
'n y' => ['',NYO,USA],
'new amsterdam' => ['',NYO,USA],
'new york' => ['',NYO,USA],
'new york state' => ['',NYO,USA],
'long island' => ['',NYO,USA],
'nieuw amsterdam' => ['',NYO,USA],
'r i' => ['',RIS,USA],
'rhode island' => ['',RIS,USA],
'south carolina' => ['',SCA,USA],
'south dakota' => ['',SDA,USA],
'west virginia' => ['',WVI,USA],
'n carolina' => ['',NCA,USA],
'new york city' => ['',NYO,USA],
's c' => ['',SCA,USA],
's carolina' => ['',SCA,USA],
'delta amacuro' => ['',DAM,VEN],
);

%regioncodes2 = (
'catamarca' => ['',CAT,ARG],
'chaco' => ['',CHA,ARG],
'chubut' => ['',CHU,ARG],
'corrientes' => ['',COR,ARG],
'formosa' => ['',FOR,ARG],
'jujuy' => ['',JUJ,ARG],
'mendoza' => ['',MEN,ARG],
'neuquen' => ['',NEU,ARG],
'salta' => ['',SAL,ARG],
'nsw' => ['',NSW,AUS],
'sydney' => ['',NSW,AUS],
'qld' => ['',QUE,AUS],
'queensland' => ['',QUE,AUS],
'brisbane' => ['',QUE,AUS],
'sa' => ['',SAU,AUS],
'wa' => ['',WAU,AUS],
'victoria' => ['',VIC,AUS],
'melbourne' => ['',VIC,AUS],
'burgenland' => ['',BUR,AUT],
'karntern' => ['',KAR,AUT],
'noe' => ['',NIE,AUT],
'niederosterreich' => ['',NIE,AUT],
'ooe' => ['',OBE,AUT],
'oberostrerreich' => ['',OBE,AUT],
'salzburg' => ['',SAL,AUT],
'steiermark' => ['',SAL,AUT],
'vorarlberg' => ['',VIE,AUT],
'wie' => ['',WIE,AUT],
'vienna' => ['',WIE,AUT],
'wien' => ['',WIE,AUT],
'anvers' => ['',ANT,BEL],	
'antwerp' => ['',ANT,BEL],
'antwerpen' => ['',ANT,BEL],
'bergen' => ['',HAI,BEL],	
'brabant' => ['',BRA,BEL],	
'bruges' => ['',WVL,BEL],	
'brugge' => ['',WVL,BEL],	
'brussel' => ['',BRA,BEL],	
'bruxelles' => ['',BRA,BEL],
'courtrai' => ['',WVL,BEL],	
'gand' => ['',OVL,BEL],	
'gent' => ['',OVL,BEL],	
'hainaut' => ['',HAI,BEL],	
'kortrijk' => ['',WVL,BEL],	
'liege' => ['',LIE,BEL],	
'liege' => ['',LIE,BEL],	
'limbourg' => ['',LIM,BEL],	
'limburg' => ['',LIM,BEL],	
'louvain' => ['',BRA,BEL],	
'luik' => ['',LIE,BEL],	
'mons' => ['',HAI,BEL],	
'namen' => ['',NAM,BEL],	
'namur' => ['',NAM,BEL],	
'nieuwpoort' => ['',WVL,BEL],	
'oostende' => ['',WVL,BEL],	
'ostende' => ['',WVL,BEL],
'burgas' => ['',BUR,BGR],
'khaskovo' => ['',KHA,BGR],
'lovech' => ['',LOV,BGR],
'montana' => ['',MON,BGR],
'plovdiv' => ['',PLO,BGR],
'ruse' => ['',RUS,BGR],
'sofiya' => ['',SOF,BGR],
'varna' => ['',VAR,BGR],
'beni' => ['',BEN,BOL],
'chuquisaca' => ['',CHU,BOL],
'cochabamba' => ['',COC,BOL],
'orduro' => ['',ORD,BOL],
'pando' => ['',PAN,BOL],
'potosi' => ['',POT,BOL],
'tarija' => ['',TAR,BOL],
'alagoas' => ['',ALA,BRA],
'amapa' => ['',AMA,BRA],
'amazonas' => ['',AMZ,BRA],
'bahia' => ['',BAH,BRA],
'ceara' => ['',CEA,BRA],
'goias' => ['',GOI,BRA],
'maranhao' => ['',MAR,BRA],
'paraiba' => ['',PBA,BRA],
'pernambuco' => ['',PER,BRA],
'piaui' => ['',PIA,BRA],
'parana' => ['',PNA,BRA],
'para' => ['',PRA,BRA],
'rondonia' => ['',RON,BRA],
'roraima' => ['',ROR,BRA],
'sergipe' => ['',SER,BRA],
'tocantins' => ['',TOC,BRA],
'ab' => ['',ALB,CAN],
'alberta' => ['',ALB,CAN],
'bc' => ['',BCO,CAN],
'vancouver' => ['',BCO,CAN],
'man' => ['',MAN,CAN],
'manitoba' => ['',MAN,CAN],
'mb' => ['',MAN,CAN],
'aca' => ['',NBR,CAN],
'acadie' => ['',NBR,CAN],
'nb' => ['',NBR,CAN],
'acadia' => ['',NBR,CAN],
'labrador' => ['',NLA,CAN],
'newfoundland' => ['',NLA,CAN],
'nf' => ['',NLA,CAN],
'nfld' => ['',NLA,CAN],
'ns' => ['',NSC,CAN],
'nt' => ['',NWT,CAN],
'on' => ['',ONT,CAN],
'ont' => ['',ONT,CAN],
'ontario' => ['',ONT,CAN],
'pe' => ['',PEI,CAN],
'pei' => ['',PEI,CAN],
'montreal' => ['',QUE,CAN],
'montreal' => ['',QUE,CAN],
'pq' => ['',QUE,CAN],
'qbc' => ['',QUE,CAN],
'qc' => ['',QUE,CAN],
'que' => ['',QUE,CAN],
'quebec' => ['',QUE,CAN],
'quebec' => ['',QUE,CAN],
'sask' => ['',SAS,CAN],
'saskatchewan' => ['',SAS,CAN],
'saskatchewan' => ['',SAS,CAN],
'sk' => ['',SAS,CAN],
'yt' => ['',YUK,CAN],
'yukon' => ['',YUK,CAN],
'aargau' => ['',AAR,CHE],
'appenzell' => ['',APP,CHE],
'ausserrhoden' => ['',APP,CHE],
'innerrhoden' => ['',APP,CHE],
'basel' => ['',BAS,CHE],
'baselland' => ['',BAS,CHE],
'basle' => ['',BAS,CHE],
'bern' => ['',BER,CHE],
'berne' => ['',BER,CHE],
'freiburg' => ['',FRB,CHE],
'fribourg' => ['',FRB,CHE],
'geneva' => ['',GEN,CHE],
'geneve' => ['',GEN,CHE],
'genf' => ['',GEN,CHE],
'glarus' => ['',GLA,CHE],
'graubunden' => ['',GRA,CHE],
'grisons' => ['',GRA,CHE],
'lucerne' => ['',LUZ,CHE],
'luzern' => ['',LUZ,CHE],
'neuchatel' => ['',NEU,CHE],
'neuenberg' => ['',NEU,CHE],
'schaffhausen' => ['',SCN,CHE],
'schwyz' => ['',SCZ,CHE],
'solothurn' => ['',SOL,CHE],
'thurgau' => ['',THU,CHE],
'tessin' => ['',TIC,CHE],
'ticino' => ['',TIC,CHE],
'uri' => ['',URI,CHE],
'valais' => ['',VAL,CHE],
'wallis' => ['',VAL,CHE],
'vaud' => ['',VAU,CHE],
'waadt' => ['',VAU,CHE],
'nidwalden' => ['',WAL,CHE],
'obwalden' => ['',WAL,CHE],
'unterwalden' => ['',WAL,CHE],
'zug' => ['',ZUG,CHE],
'zurich' => ['',ZUR,CHE],
'aconcagua' => ['',ACO,CHL],
'antofagasta' => ['',ANT,CHL],
'araucania' => ['',ARA,CHL],
'atacama' => ['',ATA,CHL],
'biobio' => ['',BIO,CHL],
'coquimbo' => ['',COQ,CHL],
'magallanes' => ['',MAG,CHL],
'maule' => ['',MAU,CHL],
'metropolitana' => ['',MET,CHL],
'amazonas' => ['',AMA,COL],
'antioqua' => ['',ANT,COL],
'arauca' => ['',ARA,COL],
'bolivar' => ['',BOL,COL],
'boyaca' => ['',BOY,COL],
'caldas' => ['',CAL,COL],
'casanare' => ['',CAS,COL],
'cauca' => ['',CAU,COL],
'cezar' => ['',CEZ,COL],
'choco' => ['',CHO,COL],
'cordoga' => ['',COR,COL],
'cundinamarca' => ['',CUN,COL],
'cundinamarca' => ['',CUN,COL],
'guajira' => ['',GJR,COL],
'guaviare' => ['',GVR,COL],
'huila' => ['',HUI,COL],
'magdalena' => ['',MAG,COL],
'meta' => ['',MET,COL],
'narino' => ['',NAR,COL],
'putumayo' => ['',PUT,COL],
'ris' => ['',RIS,COL],
'santander' => ['',SAN,COL],
'sucre' => ['',SUC,COL],
'tolima' => ['',TOL,COL],
'vaupes' => ['',VAU,COL],
'camaguey' => ['',CAM,CUB],
'cienfuegos' => ['',CIE,CUB],
'granma' => ['',GRA,CUB],
'guantanamo' => ['',GUA,CUB],
'holguin' => ['',HOL,CUB],
'matanzas' => ['',MAT,CUB],
'jihocesky' => ['',JHC,CZE],
'jihomoravsky' => ['',JHM,CZE],
'praha' => ['',PRA,CZE],
'stredocesky' => ['',STR,CZE],
'severocesky' => ['',SVC,CZE],
'severomoravsky' => ['',SVM,CZE],
'vychodocesky' => ['',VYC,CZE],
'zapadocesky' => ['',ZAP,CZE],
'arnsberg' => [ARN,NWE,DEU],
'niederbayern' => [BAN,BAY,DEU],
'oberbayern' => [BAO,BAY,DEU],
'braunschweig' => [BRA,NIE,DEU],
'darmstad' => [DAR,HES,DEU],
'darmstadt' => [DAR,HES,DEU],
'hd' => [DAR,HES,DEU],
'dessau' => [DES,SAN,DEU],
'detmold' => [DET,NWE,DEU],
'dusseldorf' => [DUS,NWE,DEU],
'freiburg' => [FRE,BWU,DEU],
'mittelfranken' => [FRM,BAY,DEU],
'oberfranken' => [FRO,BAY,DEU],
'unterfranken' => [FRU,BAY,DEU],
'giessen' => [GIE,HES,DEU],
'halle' => [HAL,SAN,DEU],
'nover' => [HAN,NIE,DEU],
'hanover' => [HAN,NIE,DEU],
'hanovre' => [HAN,NIE,DEU],
'karlsruhe' => [KAR,BWU,DEU],
'hk' => [KAS,HES,DEU],
'kassel' => [KAS,HES,DEU],
'koblenz' => [KOB,RPF,DEU],
'koln' => [KOL,NWE,DEU],
'luneburg' => [LUN,NIE,DEU],
'magdeburg' => [MAG,SAN,DEU],
'munster' => [MUN,NWE,DEU],
'oberpfalz' => [PFO,BAY,DEU],
'schwaben' => [SCH,BAY,DEU],
'stuttgart' => [STU,BWU,DEU],
'trier' => [TRI,RPF,DEU],
'tubingen' => [TUB,BWU,DEU],
'arhus' => ['',ARH,DNK],
'aarhus' => ['',ARH,DNK],
'anholt' => ['',ARH,DNK],
'grena' => ['',ARH,DNK],
'randers' => ['',ARH,DNK],
'skanderborg' => ['',ARH,DNK],
'gjern' => ['',ARH,DNK],
'tvilum' => ['',ARH,DNK],
'ostbirk' => ['',ARH,DNK],
'silkeborg' => ['',ARH,DNK],
'bornholm' => ['',BOR,DNK],
'ronne' => ['',BOR,DNK],
'frederiksborg' => ['',FRE,DNK],
'frederiksberg' => ['',FRE,DNK],
'helsingor' => ['',FRE,DNK],
'hillerod' => ['',FRE,DNK],
'fyn' => ['',FYN,DNK],
'fyen' => ['',FYN,DNK],
'nyborg' => ['',FYN,DNK],
'oddense' => ['',FYN,DNK],
'odense' => ['',FYN,DNK],
'svendborg' => ['',FYN,DNK],
'kobenhavn' => ['',KOB,DNK],
'copenhague' => ['',KOB,DNK],
'kjobenhavns' => ['',KOB,DNK],
'copenhaguen' => ['',KOB,DNK],
'nordjylland' => ['',NOR,DNK],
'alborg' => ['',NOR,DNK],
'aalborg' => ['',NOR,DNK],
'frederikshavn' => ['',NOR,DNK],
'hirtshals' => ['',NOR,DNK],
'hjorring' => ['',NOR,DNK],
'vedsted' => ['',NOR,DNK],
'laeso' => ['',NOR,DNK],
'norresundby' => ['',NOR,DNK],
'skagen' => ['',NOR,DNK],
'ribe' => ['',RIB,DNK],
'thorstrup' => ['',RIB,DNK],
'esberg' => ['',RIB,DNK],
'lejrskov' => ['',RIB,DNK],
'ringkobing' => ['',RIN,DNK],
'ringkobing' => ['',RIN,DNK],
'rngkbm' => ['',RIN,DNK],
'rngkb' => ['',RIN,DNK],
'rnkbn' => ['',RIN,DNK],
'ringkjobing' => ['',RIN,DNK],
'rydkobing' => ['',RIN,DNK],
'thyboron' => ['',RIN,DNK],
'holstebro' => ['',RIN,DNK],
'herning' => ['',RIN,DNK],
'roskilde' => ['',ROS,DNK],
'raskilde' => ['',ROS,DNK],
'raschilde' => ['',ROS,DNK],
'koge' => ['',ROS,DNK],
'sonderjylland' => ['',SON,DNK],
'abenra' => ['',SON,DNK],
'haderslev' => ['',SON,DNK],
'haverslev' => ['',SON,DNK],
'sonderborg' => ['',SON,DNK],
'aabenraa' => ['',SON,DNK],
'tonder' => ['',SON,DNK],
'storstrom' => ['',STO,DNK],
'maribo' => ['',STO,DNK],
'mon' => ['',STO,DNK],
'praesto' => ['',STO,DNK],
'nykobing' => ['',STO,DNK],
'rodby' => ['',STO,DNK],
'gedser' => ['',STO,DNK],
'lolland' => ['',STO,DNK],
'falster' => ['',STO,DNK],
'praesto' => ['',STO,DNK],
'vejle' => ['',VEJ,DNK],
'fredericia' => ['',VEJ,DNK],
'horsen' => ['',VEJ,DNK],
'kolding' => ['',VEJ,DNK],
'vesjaelland' => ['',VES,DNK],
'kalundborg' => ['',VES,DNK],
'holbaek' => ['',VES,DNK],
'korsor' => ['',VES,DNK],
'slagelse' => ['',VES,DNK],
'soro' => ['',VES,DNK],
'viborg' => ['',VIB,DNK],
'thisted' => ['',VIB,DNK],
'skive' => ['',VIB,DNK],
'vinkel' => ['',VIB,DNK],
'azuay' => ['',AZU,ECU],
'bolivar' => ['',BOL,ECU],
'canar' => ['',CAN,ECU],
'carchi' => ['',CAR,ECU],
'chimborazo' => ['',CHI,ECU],
'cotopaxi' => ['',COT,ECU],
'esmeraldas' => ['',ESM,ECU],
'guayas' => ['',GUA,ECU],
'imbabura' => ['',IMB,ECU],
'loja' => ['',LOJ,ECU],
'manabi' => ['',MAN,ECU],
'napo' => ['',NAP,ECU],
'pastaza' => ['',PAS,ECU],
'pichincha' => ['',PIC,ECU],
'tungurahua' => ['',TUN,ECU],
'chinchipe' => ['',ZCH,ECU],
'zamora' => ['',ZCH,ECU],
'alava' => [ALA,PVA,ESP],
'albacete' => [ALB,CLM,ESP],
'alicante' => [ALI,VAL,ESP],
'almeria' => [ALM,AND,ESP],
'asturias' => [AST,AST,ESP],
'avila' => [AVI,CYL,ESP],
'badajoz' => [BAD,EXT,ESP],
'baleares' => [BAL,BAL,ESP],
'barcelona' => [BAR,CAT,ESP],
'burgos' => [BUR,CYL,ESP],
'caceres' => [CAC,EXT,ESP],
'cadiz' => [CAD,AND,ESP],
'castellon' => [CAS,VAL,ESP],
'canarias' => [CNR,CNR,ESP],
'tenerife' => [CNR,CNR,ESP],
'canaries' => [CNR,CNR,ESP],
'cordoba' => [COR,AND,ESP],
'cantabria' => [CTB,CTB,ESP],
'cuenca' => [CUE,CLM,ESP],
'gerona' => [GER,CAT,ESP],
'granada' => [GRA,AND,ESP],
'guadalagara' => [GUA,CLM,ESP],
'guipuzcoa' => [GUI,PVA,ESP],
'huesca' => [HCA,ARA,ESP],
'huelva' => [HVA,AND,ESP],
'jaen' => [JAE,AND,ESP],
'leon' => [LEO,CYL,ESP],
'lerida' => [LER,CAT,ESP],
'lugo' => [LUG,GAL,ESP],
'madrid' => [MAD,MAD,ESP],
'malaga' => [MAL,AND,ESP],
'murcia' => [MUR,MUR,ESP],
'navarra' => [NAV,NAV,ESP],
'orense' => [ORE,GAL,ESP],
'palencia' => [PAL,CYL,ESP],
'pontevedra' => [PON,GAL,ESP],
'salamanca' => [SAL,CYL,ESP],
'segovia' => [SEG,CYL,ESP],
'sevilla' => [SEV,AND,ESP],
'soria' => [SOR,CYL,ESP],
'tarragona' => [TAR,CAT,ESP],
'teruel' => [TER,ARA,ESP],
'toledo' => [TOL,CLM,ESP],
'vizcaya' => [VIZ,PVA,ESP],
'valencia' => [VLC,VAL,ESP],
'valladolid' => [VLD,CYL,ESP],
'zamora' => [ZAM,CYL,ESP],
'zaragoza' => [ZAR,ARA,ESP],
'hame' => ['',HAM,FIN],
'kuopio' => ['',KUO,FIN],
'kymi' => ['',KYM,FIN],
'lappi' => ['',LAP,FIN],
'mikkeli' => ['',MIK,FIN],
'oulu' => ['',OUL,FIN],
'kerjala' => ['',PKE,FIN],
'pohjois' => ['',PKE,FIN],
'turku' => ['',TUR,FIN],
'uusimaa' => ['',UUS,FIN],
'vaasa' => ['',VAA,FIN],
'ain' => [F01,RAL,FRA],
'aisne' => [F02,PIC,FRA],
'allier' => [F03,AUV,FRA],
'bourbonnais' => [F03,AUV,FRA],
'ardeche' => [F07,RAL,FRA],
'vivarais' => [F07,RAL,FRA],
'ardennes' => [F08,CHA,FRA],
'rethelois' => [F08,CHA,FRA],
'aveyron' => [F12,MPY,FRA],
'marseille' => [F13,PCA,FRA],
'bayeux' => [F14,NOR,FRA],
'calvados' => [F14,NOR,FRA],
'angouleme' => [F16,PCH,FRA],
'angoumois' => [F16,PCH,FRA],
'charente' => [F16,PCH,FRA],
'aunis' => [F17,PCH,FRA],
'larochelle' => [F17,PCH,FRA],
'saintonge' => [F17,PCH,FRA],
'berry' => [F18,CEN,FRA],
'cher' => [F18,CEN,FRA],
'dijon' => [F21,BOU,FRA],
'dordogne' => [F24,AQU,FRA],
'perigord' => [F24,AQU,FRA],
'doubs' => [F25,FCO,FRA],
'drome' => [F26,RAL,FRA],
'chartre' => [F28,CEN,FRA],
'finistere' => [F29,BRE,FRA],
'gard' => [F30,LRO,FRA],
'comminges' => [F31,MPY,FRA],
'bordeaux' => [F33,AQU,FRA],
'gironde' => [F33,AQU,FRA],
'herault' => [F34,LRO,FRA],
'rennes' => [F35,BRE,FRA],
'touraine' => [F37,CEN,FRA],
'dauphine' => [F38,RAL,FRA],
'isere' => [F38,RAL,FRA],
'blois' => [F41,CEN,FRA],
'forez' => [F42,RAL,FRA],
'nantes' => [F44,PDL,FRA],
'orleanais' => [F45,CEN,FRA],
'lozre' => [F48,LRO,FRA],
'angers' => [F49,PDL,FRA],
'anjou' => [F49,PDL,FRA],
'manche' => [F50,NOR,FRA],
'marne' => [F51,CHA,FRA],
'mayenne' => [F53,PDL,FRA],
'morbihan' => [F56,BRE,FRA],
'nievre' => [F58,BOU,FRA],
'nivre' => [F58,BOU,FRA],
'nivernais' => [F58,BOU,FRA],
'lille' => [F59,NPC,FRA],
'beauvaisis' => [F60,PIC,FRA],
'oise' => [F60,PIC,FRA],
'mortagne' => [F61,NOR,FRA],
'perche' => [F61,NOR,FRA],
'orne' => [F61,NOR,FRA],
'boulonnais' => [F62,NOR,FRA],
'artois' => [F62,NPC,FRA],
'calais' => [F62,NPC,FRA],
'bearn' => [F64,AQU,FRA],
'pyr atl' => [F64,AQU,FRA],
'bigorre' => [F65,MPY,FRA],
'lyonnais' => [F69,RAL,FRA],
'rhone' => [F69,RAL,FRA],
'brionnais' => [F71,BOU,FRA],
'maine' => [F72,PDL,FRA],
'savoie' => [F73,RAL,FRA],
'parijs' => [F75,IDF,FRA],
'paris' => [F75,IDF,FRA],
'paris' => [F75,IDF,FRA],
'dieppe' => [F76,NOR,FRA],
'rouen' => [F76,NOR,FRA],
'versailles' => [F78,IDF,FRA],
'yvelines' => [F78,IDF,FRA],
'vimeu' => [F80,PIC,FRA],
'poitiers' => [F85,PCH,FRA],
'vnn' => [F85,PCH,FRA],
'lucon' => [F85,PDL,FRA],
'vendee' => [F85,PDL,FRA],
'vendee' => [F85,PDL,FRA],
'vienne' => [F86,PCH,FRA],
'vosges' => [F88,LOR,FRA],
'avallonnais' => [F89,BOU,FRA],
'yonne' => [F89,BOU,FRA],
'essonne' => [F91,IDF,FRA],
'ald' => [ALD,CHI,GBR],
'alderney' => [ALD,CHI,GBR],
'ant' => [ANT,ULS,GBR],
'antrim' => [ANT,ULS,GBR],
'belfast' => [ANT,ULS,GBR],
'arm' => [ARM,ULS,GBR],
'armagh' => [ARM,ULS,GBR],
'avn' => [AVN,ENG,GBR],
'avon' => [AVN,ENG,GBR],
'bristol' => [AVN,ENG,GBR],
'bdf' => [BDF,ENG,GBR],
'bedf' => [BDF,ENG,GBR],
'bedford' => [BDF,ENG,GBR],
'bedfordshire' => [BDF,ENG,GBR],
'salford' => [BDF,ENG,GBR],
'aylesbury' => [BKM,ENG,GBR],
'bkm' => [BKM,ENG,GBR],
'buckinghamshire' => [BKM,ENG,GBR],
'buckingham' => [BKM,ENG,GBR],
'bucks' => [BKM,ENG,GBR],
'berwickshire' => [BOR,SCT,GBR],
'bew' => [BOR,SCT,GBR],
'bor' => [BOR,SCT,GBR],
'borders' => [BOR,SCT,GBR],
'pee' => [BOR,SCT,GBR],
'peebleshire' => [BOR,SCT,GBR],
'rox' => [BOR,SCT,GBR],
'roxburghshire' => [BOR,SCT,GBR],
'berkshire' => [BRK,ENG,GBR],
'brk' => [BRK,ENG,GBR],
'reading' => [BRK,ENG,GBR],
'berk' => [BRK,ENG,GBR],
'cam' => [CAM,ENG,GBR],
'cambridgeshire' => [CAM,ENG,GBR],
'cambridge' => [CAM,ENG,GBR],
'hun' => [CAM,ENG,GBR],
'huntingdonshire' => [CAM,ENG,GBR],
'cen' => [CEN,SCT,GBR],
'central' => [CEN,SCT,GBR],
'clackmannanshire' => [CEN,SCT,GBR],
'clk' => [CEN,SCT,GBR],
'sti' => [CEN,SCT,GBR],
'stirling' => [CEN,SCT,GBR],
'stirlingshire' => [CEN,SCT,GBR],
'cheshire' => [CHS,ENG,GBR],
'chester' => [CHS,ENG,GBR],
'chs' => [CHS,ENG,GBR],
'middlesbrough' => [CLV,ENG,GBR],
'cleveland' => [CLV,ENG,GBR],
'clv' => [CLV,ENG,GBR],
'carlisle' => [CMA,ENG,GBR],
'cma' => [CMA,ENG,GBR],
'cul' => [CMA,ENG,GBR],
'cumberland' => [CMA,ENG,GBR],
'cumbria' => [CMA,ENG,GBR],
'wes' => [CMA,ENG,GBR],
'westmorland' => [CMA,ENG,GBR],
'truro' => [CON,ENG,GBR],
'scilly' => [CON,ENG,GBR],
'corn' => [CON,ENG,GBR],
'con' => [CON,ENG,GBR],
'cornwall' => [CON,ENG,GBR],
'mold' => [CWD,WLS,GBR],
'clwyd' => [CWD,WLS,GBR],
'cwd' => [CWD,WLS,GBR],
'denbighshire' => [CWD,WLS,GBR],
'flintshire' => [CWD,WLS,GBR],
'fln' => [CWD,WLS,GBR],
'dby' => [DBY,ENG,GBR],
'matlock' => [DBY,ENG,GBR],
'derby' => [DBY,ENG,GBR],
'drbysh' => [DBY,ENG,GBR],
'derbyshire' => [DBY,ENG,GBR],
'dev' => [DEV,ENG,GBR],
'devo' => [DEV,ENG,GBR],
'devon' => [DEV,ENG,GBR],
'devonshire' => [DEV,ENG,GBR],
'exeter' => [DEV,ENG,GBR],
'cardiganshire' => [DFD,WLS,GBR],
'carmarthen' => [DFD,WLS,GBR],
'carmarthenshire' => [DFD,WLS,GBR],
'cgn' => [DFD,WLS,GBR],
'cmn' => [DFD,WLS,GBR],
'dfd' => [DFD,WLS,GBR],
'dyfed' => [DFD,WLS,GBR],
'pem' => [DFD,WLS,GBR],
'pembrokeshire' => [DFD,WLS,GBR],
'dfs' => [DGY,SCT,GBR],
'dgy' => [DGY,SCT,GBR],
'dumfries' => [DGY,SCT,GBR],
'dumfriesshire' => [DGY,SCT,GBR],
'galloway' => [DGY,SCT,GBR],
'kircudbrightshire' => [DGY,SCT,GBR],
'kkd' => [DGY,SCT,GBR],
'wig' => [DGY,SCT,GBR],
'wigtownshire' => [DGY,SCT,GBR],
'dor' => [DOR,ENG,GBR],
'dorset' => [DOR,ENG,GBR],
'dorchester' => [DOR,ENG,GBR],
'dorsetshire' => [DOR,ENG,GBR],
'dow' => [DOW,ULS,GBR],
'down' => [DOW,ULS,GBR],
'dur' => [DUR,ENG,GBR],
'durham' => [DUR,ENG,GBR],
'sunderland' => [DUR,ENG,GBR],
'ess' => [ESS,ENG,GBR],
'chelmsford' => [ESS,ENG,GBR],
'essex' => [ESS,ENG,GBR],
'essx' => [ESS,ENG,GBR],
'fer' => [FER,ULS,GBR],
'fermanagh' => [FER,ULS,GBR],
'fif' => [FIF,SCT,GBR],
'fife' => [FIF,SCT,GBR],
'fifeshire' => [FIF,SCT,GBR],
'gls' => [GLS,ENG,GBR],
'glousc' => [GLS,ENG,GBR],
'glou' => [GLS,ENG,GBR],
'glouc' => [GLS,ENG,GBR],
'glocster' => [GLS,ENG,GBR],
'gloucester' => [GLS,ENG,GBR],
'gloucestershire' => [GLS,ENG,GBR],
'gloustershire' => [GLS,ENG,GBR],
'glouestershire' => [GLS,ENG,GBR],
'abd' => [GMP,SCT,GBR],
'aberdeen' => [GMP,SCT,GBR],
'aberdeenshire' => [GMP,SCT,GBR],
'ban' => [GMP,SCT,GBR],
'banffshire' => [GMP,SCT,GBR],
'elg' => [GMP,SCT,GBR],
'gmp' => [GMP,SCT,GBR],
'grampian' => [GMP,SCT,GBR],
'kcd' => [GMP,SCT,GBR],
'mor' => [GMP,SCT,GBR],
'moray' => [GMP,SCT,GBR],
'cwmbran' => [GNT,WLS,GBR],
'gnt' => [GNT,WLS,GBR],
'gwent' => [GNT,WLS,GBR],
'mon' => [GNT,WLS,GBR],
'monmouthshire' => [GNT,WLS,GBR],
'gsy' => [GSY,CHI,GBR],
'guernsey' => [GSY,CHI,GBR],
'gue' => [GSY,CHI,GBR],
'agy' => [GWN,WLS,GBR],
'anglesey' => [GWN,WLS,GBR],
'cae' => [GWN,WLS,GBR],
'caernarfon' => [GWN,WLS,GBR],
'caernarvonshire' => [GWN,WLS,GBR],
'gwn' => [GWN,WLS,GBR],
'gwynedd' => [GWN,WLS,GBR],
'merionethshire' => [GWN,WLS,GBR],
'hants' => [HAM,ENG,GBR],
'ham' => [HAM,ENG,GBR],
'hampshire' => [HAM,ENG,GBR],
'winchester' => [HAM,ENG,GBR],
'cai' => [HLD,SCT,GBR],
'caithness' => [HLD,SCT,GBR],
'highlands' => [HLD,SCT,GBR],
'hil' => [HLD,SCT,GBR],
'hld' => [HLD,SCT,GBR],
'inv' => [HLD,SCT,GBR],
'inverness' => [HLD,SCT,GBR],
'roc' => [HLD,SCT,GBR],
'sut' => [HLD,SCT,GBR],
'sutherland' => [HLD,SCT,GBR],
'hertford' => [HRT,ENG,GBR],
'hertfordshire' => [HRT,ENG,GBR],
'hrt' => [HRT,ENG,GBR],
'hert' => [HRT,ENG,GBR],
'herts' => [HRT,ENG,GBR],
'hum' => [HUM,ENG,GBR],
'humberside' => [HUM,ENG,GBR],
'hef' => [HWR,ENG,GBR],
'hereford' => [HWR,ENG,GBR],
'herefordshire' => [HWR,ENG,GBR],
'hwr' => [HWR,ENG,GBR],
'wor' => [HWR,ENG,GBR],
'worcester' => [HWR,ENG,GBR],
'worcestershire' => [HWR,ENG,GBR],
'worchestershire' => [HWR,ENG,GBR],
'iom' => [IOM,IOM,GBR],
'iow' => [IOW,ENG,GBR],
'jersey' => [JSY,CHI,GBR],
'guernesey' => [GSY,CHI,GBR],
'jsy' => [JSY,CHI,GBR],
'ken' => [KEN,ENG,GBR],
'kent' => [KEN,ENG,GBR],
'maidstone' => [KEN,ENG,GBR],
'lanc' => [LAN,ENG,GBR],
'lncshr' => [LAN,ENG,GBR],
'lncshr' => [LAN,ENG,GBR],
'lanchashire' => [LAN,ENG,GBR],
'lancashire' => [LAN,ENG,GBR],
'preston' => [LAN,ENG,GBR],
'lancaster' => [LAN,ENG,GBR],
'manchester' => [LAN,ENG,GBR],
'ldy' => [LDY,ULS,GBR],
'londonderry' => [LDY,ULS,GBR],
'lei' => [LEI,ENG,GBR],
'leics' => [LEI,ENG,GBR],
'leicester' => [LEI,ENG,GBR],
'leicestershire' => [LEI,ENG,GBR],
'rut' => [LEI,ENG,GBR],
'rutland' => [LEI,ENG,GBR],
'ruthland' => [LEI,ENG,GBR],
'rutlandshire' => [LEI,ENG,GBR],
'lin' => [LIN,ENG,GBR],
'lincoln' => [LIN,ENG,GBR],
'lincolnshire' => [LIN,ENG,GBR],
'lnclns' => [LIN,ENG,GBR],
'lincln' => [LIN,ENG,GBR],
'lnd' => [LND,ENG,GBR],
'lon' => [LND,ENG,GBR],
'middlesex' => [LND,ENG,GBR],
'mdx' => [LND,ENG,GBR],
'london' => [LND,ENG,GBR],
'londres' => [LND,ENG,GBR],
'londen' => [LND,ENG,GBR],
'edinburgh' => [LTN,SCT,GBR],
'eln' => [LTN,SCT,GBR],
'had' => [LTN,SCT,GBR],
'lls' => [LTN,SCT,GBR],
'lothian' => [LTN,SCT,GBR],
'ltn' => [LTN,SCT,GBR],
'midlothian' => [LTN,SCT,GBR],
'mln' => [LTN,SCT,GBR],
'nai' => [LTN,SCT,GBR],
'nairnshire' => [LTN,SCT,GBR],
'wln' => [LTN,SCT,GBR],
'mgm' => [GLA,WLS,GBR],
'liverpool' => [MSY,ENG,GBR],
'merseyside' => [MSY,ENG,GBR],
'msy' => [MSY,ENG,GBR],
'nbl' => [NBL,ENG,GBR],
'morpeth' => [NBL,ENG,GBR],
'northumberland' => [NBL,ENG,GBR],
'northumberland' => [NBL,ENG,GBR],
'nfk' => [NFK,ENG,GBR],
'norfolk' => [NFK,ENG,GBR],
'norwich' => [NFK,ENG,GBR],
'northants' => [NTH,ENG,GBR],
'northampton' => [NTH,ENG,GBR],
'northamptonshire' => [NTH,ENG,GBR],
'nth' => [NTH,ENG,GBR],
'notts' => [NTT,ENG,GBR],
'nottingham' => [NTT,ENG,GBR],
'nottinghamshire' => [NTT,ENG,GBR],
'ntt' => [NTT,ENG,GBR],
'northallerton' => [NYK,ENG,GBR],
'nyk' => [NYK,ENG,GBR],
'oki' => [OKI,SCT,GBR],
'ork' => [OKI,SCT,GBR],
'orkney' => [OKI,SCT,GBR],
'newgate' => [OXF,ENG,GBR],
'oxf' => [OXF,ENG,GBR],
'oxon' => [OXF,ENG,GBR],
'oxford' => [OXF,ENG,GBR],
'oxfordshire' => [OXF,ENG,GBR],
'breconshire' => [POW,WLS,GBR],
'mgy' => [POW,WLS,GBR],
'montgomeryshire' => [POW,WLS,GBR],
'pow' => [POW,WLS,GBR],
'powys' => [POW,WLS,GBR],
'rad' => [POW,WLS,GBR],
'radnorshire' => [POW,WLS,GBR],
'sal' => [SAL,ENG,GBR],
'shrewsbury' => [SAL,ENG,GBR],
'salop' => [SAL,ENG,GBR],
'shropshire' => [SAL,ENG,GBR],
'ipswich' => [SFK,ENG,GBR],
'sfk' => [SFK,ENG,GBR],
'suffolk' => [SFK,ENG,GBR],
'sfflk' => [SFK,ENG,GBR],
'suff' => [SFK,ENG,GBR],
'sgm' => [SGM,WLS,GBR],
'shi' => [SHI,SCT,GBR],
'zet' => [SHI,SCT,GBR],
'zetland' => [SHI,SCT,GBR],
'som' => [SOM,ENG,GBR],
'somerset' => [SOM,ENG,GBR],
'somersets' => [SOM,ENG,GBR],
'somersetshire' => [SOM,ENG,GBR],
'taunton' => [SOM,ENG,GBR],
'sark' => [SRK,CHI,GBR],
'srk' => [SRK,CHI,GBR],
'godalming' => [SRY,ENG,GBR],
'sry' => [SRY,ENG,GBR],
'surrey' => [SRY,ENG,GBR],
'argyllshire' => [STD,SCT,GBR],
'arl' => [STD,SCT,GBR],
'ayr' => [STD,SCT,GBR],
'ayrshire' => [STD,SCT,GBR],
'but' => [STD,SCT,GBR],
'bute' => [STD,SCT,GBR],
'dnb' => [STD,SCT,GBR],
'lanark' => [STD,SCT,GBR],
'lanarkshire' => [STD,SCT,GBR],
'lks' => [STD,SCT,GBR],
'renfrewshire' => [STD,SCT,GBR],
'rfw' => [STD,SCT,GBR],
'std' => [STD,SCT,GBR],
'glasgow' => [STD,SCT,GBR],
'strathclyde' => [STD,SCT,GBR],
'staffs' => [STS,ENG,GBR],
'stafford' => [STS,ENG,GBR],
'staffordshire' => [STS,ENG,GBR],
'wolverhampton' => [STS,ENG,GBR],
'sts' => [STS,ENG,GBR],
'lewes' => [SXE,ENG,GBR],
'sxe' => [SXE,ENG,GBR],
'sxw' => [SXW,ENG,GBR],
'chichester' => [SXW,ENG,GBR],
'syk' => [SYK,ENG,GBR],
'barnsley' => [SYK,ENG,GBR],
'angus' => [TAY,SCT,GBR],
'ans' => [TAY,SCT,GBR],
'per' => [TAY,SCT,GBR],
'dundee' => [TAY,SCT,GBR],
'perthshire' => [TAY,SCT,GBR],
'tay' => [TAY,SCT,GBR],
'tayside' => [TAY,SCT,GBR],
'newcastle' => [TWR,ENG,GBR],
'twr' => [TWR,ENG,GBR],
'tyr' => [TYR,ULS,GBR],
'tyrone' => [TYR,ULS,GBR],
'warks' => [WAR,ENG,GBR],
'war' => [WAR,ENG,GBR],
'warw' => [WAR,ENG,GBR],
'warwick' => [WAR,ENG,GBR],
'warwickshire' => [WAR,ENG,GBR],
'swansea' => [WGM,WLS,GBR],
'wgm' => [WGM,WLS,GBR],
'wil' => [WIL,ENG,GBR],
'wilt' => [WIL,ENG,GBR],
'wiltshire' => [WIL,ENG,GBR],
'wilts' => [WIL,ENG,GBR],
'trowbridge' => [WIL,ENG,GBR],
'wis' => [WIS,SCT,GBR],
'stornoway' => [WIS,SCT,GBR],
'birmingham' => [WMD,ENG,GBR],
'wmd' => [WMD,ENG,GBR],
'wakefield' => [WYK,ENG,GBR],
'leeds' => [WYK,ENG,GBR],
'wry' => [WYK,ENG,GBR],
'wyk' => [WYK,ENG,GBR],
'akhaia' => [AKH,PEL,GRC],
'argolis' => [ARG,PEL,GRC],
'arkadhia' => [ARK,PEL,GRC],
'arta' => [ART,IPI,GRC],
'attiki' => [ATT,SEE,GRC],
'attikis' => [ATT,SEE,GRC],
'dhodhekanisos' => [DHO,AIY,GRC],
'dodecanese' => [DHO,AIY,GRC],
'nissyros' => [DHO,AIY,GRC],
'dhrama' => [DHR,MAK,GRC],
'evritania' => [EVA,SEE,GRC],
'evros' => [EVS,THR,GRC],
'evvoia' => [EVV,SEE,GRC],
'florina' => [FLO,MAK,GRC],
'fokis' => [FOK,SEE,GRC],
'fthiotis' => [FTH,SEE,GRC],
'grevena' => [GRE,MAK,GRC],
'ilia' => [ILI,PEL,GRC],
'imathia' => [IMA,MAK,GRC],
'ioannina' => [IOA,IOA,GRC],
'iraklion' => [IRA,KRI,GRC],
'kardhitsa' => [KAR,THE,GRC],
'kastoria' => [KAS,MAK,GRC],
'kavala' => [KAV,MAK,GRC],
'kefallinia' => [KEF,ION,GRC],
'kerkira' => [KER,IPI,GRC],
'khania' => [KHA,KRI,GRC],
'khalkidhiki' => [KHI,MAK,GRC],
'khios' => [KHS,AIY,GRC],
'kikladhes' => [KIK,AIY,GRC],
'kilkis' => [KIL,MAK,GRC],
'korinthia' => [KOR,PEL,GRC],
'kozani' => [KOZ,MAK,GRC],
'lakonia' => [LAK,PEL,GRC],
'larisa' => [LAR,THE,GRC],
'lasithi' => [LAS,KRI,GRC],
'lesvos' => [LES,AIY,GRC],
'levkas' => [LEV,ION,GRC],
'magnisia' => [MAG,THE,GRC],
'messinia' => [MES,PEL,GRC],
'pella' => [PEL,MAK,GRC],
'pieria' => [PIE,MAK,GRC],
'piraievs' => [PIR,SEE,GRC],
'preveza' => [PRE,IPI,GRC],
'rethimni' => [RET,KRI,GRC],
'rodhopi' => [ROD,THR,GRC],
'samos' => [SAM,AIY,GRC],
'serrai' => [SER,MAK,GRC],
'thesprotia' => [THA,IPI,GRC],
'thessaloniki' => [THI,MAK,GRC],
'trikala' => [TRI,THE,GRC],
'voiotia' => [VOI,SEE,GRC],
'xanthi' => [XAN,THR,GRC],
'zakinthos' => [ZAK,ION,GRC],
'baranya' => ['',BAR,HUN],
'abauj' => ['',BAZ,HUN],
'borsod' => ['',BAZ,HUN],
'zemplen' => ['',BAZ,HUN],
'bekescsaba' => ['',BKB,HUN],
'bacs' => ['',BKI,HUN],
'kiskun' => ['',BKI,HUN],
'bekes' => ['',BKS,HUN],
'budapest' => ['',BUD,HUN],
'csongrad' => ['',CSO,HUN],
'debrecen' => ['',DEB,HUN],
'dunaujvaros' => ['',DUN,HUN],
'eger' => ['',EGE,HUN],
'fejer' => ['',FEJ,HUN],
'moson' => ['',GMS,HUN],
'sopron' => ['',GMS,HUN],
'gyor' => ['',GYO,HUN],
'heves' => ['',HEV,HUN],
'hodmezovasarhely' => ['',HOD,HUN],
'jasz' => ['',JNS,HUN],
'nagykun' => ['',JNS,HUN],
'szolnok' => ['',JNS,HUN],
'kaposvar' => ['',KAP,HUN],
'kecskemet' => ['',KEC,HUN],
'esztergom' => ['',KES,HUN],
'komarom' => ['',KES,HUN],
'miskolc' => ['',MIS,HUN],
'nagykanizsa' => ['',NAG,HUN],
'nograd' => ['',NOG,HUN],
'nyiregyhaza' => ['',NYI,HUN],
'pecs' => ['',PEC,HUN],
'pest' => ['',PES,HUN],
'somogy' => ['',SOR,HUN],
'bereg' => ['',SZA,HUN],
'szabolcs' => ['',SZA,HUN],
'szatmar' => ['',SZA,HUN],
'szeged' => ['',SZD,HUN],
'szekesfehervar' => ['',SZR,HUN],
'szombathely' => ['',SZY,HUN],
'tatabanya' => ['',TAT,HUN],
'tolna' => ['',TOL,HUN],
'vas' => ['',VAS,HUN],
'veszprem' => ['',VES,HUN],
'zala' => ['',ZAA,HUN],
'zalaegerszeg' => ['',ZAG,HUN],
'car' => [CAR,LEI,IRL],
'carlow' => [CAR,LEI,IRL],
'cav' => [CAV,ULS,IRL],
'cavan' => [CAV,ULS,IRL],
'cla' => [CLA,MUN,IRL],
'ennis' => [CLA,MUN,IRL],
'clare' => [CLA,MUN,IRL],
'cor' => [COR,MUN,IRL],
'cork' => [COR,MUN,IRL],
'don' => [DON,ULS,IRL],
'lifford' => [DON,ULS,IRL],
'donegal' => [DON,ULS,IRL],
'dub' => [DUB,LEI,IRL],
'dublin' => [DUB,LEI,IRL],
'gal' => [GAL,CON,IRL],
'galway' => [GAL,CON,IRL],
'ker' => [KER,MUN,IRL],
'tralee' => [KER,MUN,IRL],
'kerry' => [KER,MUN,IRL],
'kid' => [KID,LEI,IRL],
'kildare' => [KID,LEI,IRL],
'naas' => [KID,LEI,IRL],
'kik' => [KIK,LEI,IRL],
'kilkenny' => [KIK,LEI,IRL],
'carrick' => [LET,CON,IRL],
'leitrim' => [LET,CON,IRL],
'let' => [LET,CON,IRL],
'laois' => [LEX,LEI,IRL],
'leix' => [LEX,LEI,IRL],
'lex' => [LEX,LEI,IRL],
'queens' => [LEX,LEI,IRL],
'lim' => [LIM,MUN,IRL],
'limerick' => [LIM,MUN,IRL],
'log' => [LOG,LEI,IRL],
'longford' => [LOG,LEI,IRL],
'lou' => [LOU,LEI,IRL],
'louth' => [LOU,LEI,IRL],
'dundalk' => [LOU,LEI,IRL],
'may' => [MAY,CON,IRL],
'castlebar' => [MAY,CON,IRL],
'mayo' => [MAY,CON,IRL],
'mea' => [MEA,LEI,IRL],
'uaimh' => [MEA,LEI,IRL],
'meath' => [MEA,LEI,IRL],
'mog' => [MOG,ULS,IRL],
'monaghan' => [MOG,ULS,IRL],
'kings' => [OFF,LEI,IRL],
'off' => [OFF,LEI,IRL],
'tullamore' => [OFF,LEI,IRL],
'offaly' => [OFF,LEI,IRL],
'ros' => [ROS,CON,IRL],
'roscommon' => [ROS,CON,IRL],
'sli' => [SLI,CON,IRL],
'sligo' => [SLI,CON,IRL],
'tip' => [TIP,MUN,IRL],
'tipperary' => [TIP,MUN,IRL],
'clonmel' => [TIP,MUN,IRL],
'wat' => [WAT,MUN,IRL],
'waterford' => [WAT,MUN,IRL],
'wem' => [WEM,LEI,IRL],
'westmeath' => [WEM,LEI,IRL],
'westmeath' => [WEM,LEI,IRL],
'wex' => [WEX,LEI,IRL],
'wexford' => [WEX,LEI,IRL],
'wic' => [WIC,LEI,IRL],
'wicklow' => [WIC,LEI,IRL],
'agrigento' => [AGR,SIC,ITA],
'alessandria' => [ALE,PIE,ITA],
'ancona' => [ANC,MAR,ITA],
'aosta' => [AOS,AOS,ITA],
'arezzo' => [ARE,TUS,ITA],
'asti' => [AST,PIE,ITA],
'avelino' => [AVE,CAM,ITA],
'bari' => [BAR,APU,ITA],
'belluno' => [BEL,VEN,ITA],
'benevento' => [BEN,CAM,ITA],
'bergamo' => [BER,LOM,ITA],
'bologna' => [BLG,ERO,ITA],
'bolzano' => [BLZ,TRE,ITA],
'brescia' => [BRE,LOM,ITA],
'brindisi' => [BRI,APU,ITA],
'cagliari' => [CAG,SAR,ITA],
'caltanissetta' => [CAL,SIC,ITA],
'campobasso' => [CAM,MOL,ITA],
'caserta' => [CAS,CAM,ITA],
'chieti' => [CHI,ABR,ITA],
'como' => [COM,LOM,ITA],
'cosenza' => [COS,CAL,ITA],
'cremona' => [CRE,LOM,ITA],
'catania' => [CTN,SIC,ITA],
'catanzaro' => [CTZ,CAL,ITA],
'cuneo' => [CUN,PIE,ITA],
'enna' => [ENN,SIC,ITA],
'ferrara' => [FER,ERO,ITA],
'firenze' => [FIR,TUS,ITA],
'florence' => [FIR,TUS,ITA],
'foggia' => [FOG,APU,ITA],
'forli' => [FOR,ERO,ITA],
'frosinone' => [FRO,LAT,ITA],
'genova' => [GEN,LIG,ITA],
'goriza' => [GOR,FRI,ITA],
'grosseto' => [GRO,TUS,ITA],
'imperia' => [IMP,LIG,ITA],
'isernia' => [ISE,MOL,ITA],
'latina' => [LAT,LAT,ITA],
'lecce' => [LEC,APU,ITA],
'livorno' => [LIV,TUS,ITA],
'lucca' => [LUC,TUS,ITA],
'macerata' => [MAC,MAR,ITA],
'mantova' => [MAN,LOM,ITA],
'matera' => [MAT,BAS,ITA],
'messina' => [MES,SIC,ITA],
'milan' => [MIL,LOM,ITA],
'milano' => [MIL,LOM,ITA],
'modena' => [MOD,ERO,ITA],
'napoli' => [NAP,CAM,ITA],
'novara' => [NOV,PIE,ITA],
'nuoro' => [NUO,SAR,ITA],
'oristano' => [ORI,SAR,ITA],
'padova' => [PAD,VEN,ITA],
'palermo' => [PAL,SIC,ITA],
'parma' => [PAR,ERO,ITA],
'pavia' => [PAV,LOM,ITA],
'pavie' => [PAV,LOM,ITA],
'perugia' => [PER,UMB,ITA],
'pescara' => [PES,ABR,ITA],
'piacenza' => [PIA,ERO,ITA],
'pordenone' => [POR,FRI,ITA],
'potenza' => [POT,BAS,ITA],
'pisa' => [PSA,TUS,ITA],
'pistoia' => [PST,TUS,ITA],
'ragusa' => [RAG,SIC,ITA],
'ravenna' => [RAV,ERO,ITA],
'rieti' => [RIE,LAT,ITA],
'rome' => [ROM,LAT,ITA],
'rovigo' => [ROV,VEN,ITA],
'salerno' => [SAL,CAM,ITA],
'sassari' => [SAS,SAR,ITA],
'savona' => [SAV,LIG,ITA],
'siena' => [SIE,TUS,ITA],
'siracusa' => [SIR,SIC,ITA],
'sondrio' => [SON,LOM,ITA],
'taranto' => [TAR,APU,ITA],
'torino' => [TOR,PIE,ITA],
'trapani' => [TRA,SIC,ITA],
'trento' => [TRE,TRE,ITA],
'trieste' => [TRI,FRI,ITA],
'teramo' => [TRM,ABR,ITA],
'terni' => [TRN,UMB,ITA],
'treviso' => [TRV,VEN,ITA],
'udine' => [UDI,FRI,ITA],
'varese' => [VAR,LOM,ITA],
'venezia' => [VEN,VEN,ITA],
'vicenza' => [VIC,VEN,ITA],
'viterbo' => [VIT,LAT,ITA],
'vercelli' => [VRC,PIE,ITA],
'verona' => [VRN,VEN,ITA],
'diekirch' => ['',DIE,LUX],
'grevenmacher' => ['',GRE,LUX],
'aguascalientes' => ['',AGU,MEX],
'campeche' => ['',CAM,MEX],
'chihuahua' => ['',CHH,MEX],
'chiapas' => ['',CHP,MEX],
'coahuila' => ['',COA,MEX],
'colima' => ['',COL,MEX],
'durango' => ['',DUR,MEX],
'guanajuato' => ['',GUA,MEX],
'guerrero' => ['',GUE,MEX],
'hidalgo' => ['',HID,MEX],
'jalisco' => ['',JAL,MEX],
'mexico' => ['',MEX,MEX],
'michoacan' => ['',MIC,MEX],
'morelos' => ['',MOR,MEX],
'nayarit' => ['',NAY,MEX],
'oaxaca' => ['',OAX,MEX],
'puebla' => ['',PUE,MEX],
'queretaro' => ['',QUE,MEX],
'sinaloa' => ['',SIN,MEX],
'sonora' => ['',SON,MEX],
'tabasco' => ['',TAB,MEX],
'tamaulipas' => ['',TAM,MEX],
'tlaxcala' => ['',TLA,MEX],
'yucatan' => ['',YUC,MEX],
'zacatecas' => ['',ZAC,MEX],
'drenthe' => ['',DRE,NLD],
'friesland' => ['',FRI,NLD],
'apeldoorn' => ['',GEL,NLD],
'arnhem' => ['',GEL,NLD],
'gelderland' => ['',GEL,NLD],
'groningen' => ['',GRO,NLD],
'limburg' => ['',LIM,NLD],
'maastricht' => ['',LIM,NLD],
'breda' => ['',NBR,NLD],
'eindhoven' => ['',NBR,NLD],
'noordbrabant' => ['',NBR,NLD],
'tilburg' => ['',NBR,NLD],
'amsterdam' => ['',NHO,NLD],
'noordholland' => ['',NHO,NLD],
'enschede' => ['',OVE,NLD],
'overijssell' => ['',OVE,NLD],
'utrecht' => ['',UTR,NLD],
'aardenburg' => ['',ZEE,NLD],
'sluis' => ['',ZEE,NLD],
'terneuzen' => ['',ZEE,NLD],
'zeeland' => ['',ZEE,NLD],
'leiden' => ['',ZUI,NLD],
'rotterdam' => ['',ZUI,NLD],
'zuidholland' => ['',ZUI,NLD],
'akeshus' => ['',AKE,NOR],
'akershus' => ['',AKE,NOR],
'oslo' => ['',AKE,NOR],
'buskerud' => ['',BUS,NOR],
'budskerud' => ['',BUS,NOR],
'finnmark' => ['',FIN,NOR],
'hedmark' => ['',HED,NOR],
'hordaland' => ['',HOR,NOR],
'romsdal' => ['',MOR,NOR],
'kristiansund' => ['',MOR,NOR],
'christianssun' => ['',MOR,NOR],
'christianssund' => ['',MOR,NOR],
'nordland' => ['',NOR,NOR],
'opland' => ['',OPP,NOR],
'oplnd' => ['',OPP,NOR],
'oppland' => ['',OPP,NOR],
'oppl' => ['',OPP,NOR],
'ostfold' => ['',OST,NOR],
'rogaland' => ['',ROG,NOR],
'telemark' => ['',TEL,NOR],
'troms' => ['',TRO,NOR],
'trondhjem' => ['',STR,NOR],
'trondheim' => ['',STR,NOR],
'vestfold' => ['',VES,NOR],
'auckland' => ['',AUC,NZL],
'canterbury' => ['',CAN,NZL],
'gisborne' => ['',GIS,NZL],
'manawatu' => ['',MWA,NZL],
'wanganui' => ['',MWA,NZL],
'northland' => ['',NOR,NZL],
'otago' => ['',OTA,NZL],
'southland' => ['',SOU,NZL],
'taranaki' => ['',TAR,NZL],
'waikato' => ['',WAI,NZL],
'wellington' => ['',WEL,NZL],
'amazonas' => ['',AMA,PER],
'ancash' => ['',ANC,PER],
'apurimac' => ['',APU,PER],
'arequipa' => ['',ARE,PER],
'ayacucho' => ['',AYA,PER],
'cajamarca' => ['',CAJ,PER],
'cambayeque' => ['',CAM,PER],
'cuzco' => ['',CUZ,PER],
'huacavelica' => ['',HCA,PER],
'huanuco' => ['',HCO,PER],
'ica' => ['',ICA,PER],
'junin' => ['',JUN,PER],
'libertad' => ['',LIB,PER],
'lima' => ['',LIM,PER],
'loreto' => ['',LOR,PER],
'moquegua' => ['',MOQ,PER],
'pasco' => ['',PAS,PER],
'piura' => ['',PIU,PER],
'puno' => ['',PUN,PER],
'tacna' => ['',TAC,PER],
'tumbes' => ['',TUM,PER],
'bialystok' => ['',BIA,POL],
'bydgoszcz' => ['',BYD,POL],
'chelm' => ['',CHE,POL],
'ciechanow' => ['',CIE,POL],
'czestochowa' => ['',CZE,POL],
'elblag' => ['',ELB,POL],
'gdansk' => ['',GDA,POL],
'gorzow' => ['',GOR,POL],
'kalisz' => ['',KAL,POL],
'katowice' => ['',KAT,POL],
'kielce' => ['',KIE,POL],
'konin' => ['',KON,POL],
'koszalin' => ['',KOS,POL],
'krakow' => ['',KRA,POL],
'krosno' => ['',KRO,POL],
'legnica' => ['',LEG,POL],
'leszno' => ['',LES,POL],
'lodz' => ['',LOD,POL],
'lomza' => ['',LOM,POL],
'lublin' => ['',LUB,POL],
'nowy' => ['',NOW,POL],
'olsztyn' => ['',OLS,POL],
'opole' => ['',OPO,POL],
'ostroleka' => ['',OST,POL],
'pila' => ['',PIL,POL],
'piotrkow' => ['',PIO,POL],
'plock' => ['',PLO,POL],
'poznan' => ['',POZ,POL],
'przemysl' => ['',PRZ,POL],
'radom' => ['',RAD,POL],
'rzeszow' => ['',RZE,POL],
'sacz' => ['',SAC,POL],
'siedlce' => ['',SID,POL],
'sieradz' => ['',SIR,POL],
'skierniewice' => ['',SKI,POL],
'slupsk' => ['',SLU,POL],
'suwalki' => ['',SUW,POL],
'szczecin' => ['',SZC,POL],
'tarnobrzeg' => ['',TAG,POL],
'tarnow' => ['',TAW,POL],
'torun' => ['',TOR,POL],
'walbrzych' => ['',WAL,POL],
'warszawa' => ['',WAR,POL],
'wloclawek' => ['',WLO,POL],
'wroclaw' => ['',WRO,POL],
'zamosc' => ['',ZAM,POL],
'acores' => ['',ACO,PRT],
'azores' => ['',ACO,PRT],
'aveiro' => ['',AVE,PRT],
'beja' => ['',BEJ,PRT],
'braganca' => ['',BRC,PRT],
'braga' => ['',BRG,PRT],
'coimbra' => ['',COI,PRT],
'evora' => ['',EVO,PRT],
'faro' => ['',FAR,PRT],
'guarda' => ['',GUA,PRT],
'leiria' => ['',LEI,PRT],
'lisboa' => ['',LIS,PRT],
'madeira' => ['',MAD,PRT],
'portalegre' => ['',PGR,PRT],
'porto' => ['',PTO,PRT],
'santarem' => ['',SAN,PRT],
'setubal' => ['',SET,PRT],
'viseu' => ['',VIS,PRT],
'amambay' => ['',AMA,PRY],
'boqueron' => ['',BOQ,PRY],
'central' => ['',CEN,PRY],
'chaco' => ['',CHA,PRY],
'concepcion' => ['',CON,PRY],
'cordillera' => ['',COR,PRY],
'caazapa' => ['',CPA,PRY],
'caaguazu' => ['',CZU,PRY],
'guaira' => ['',GUA,PRY],
'itapua' => ['',ITA,PRY],
'misiones' => ['',MIS,PRY],
'neembucu' => ['',NEE,PRY],
'paraguari' => ['',PAR,PRY],
'alba' => ['',ALB,ROM],
'arad' => ['',ARA,ROM],
'arges' => ['',ARG,ROM],
'bacau' => ['',BAC,ROM],
'bihor' => ['',BIH,ROM],
'botosani' => ['',BOT,ROM],
'brasov' => ['',BRA,ROM],
'bucuresti' => ['',BUC,ROM],
'buzau' => ['',BUZ,ROM],
'calarasi' => ['',CAL,ROM],
'cluj' => ['',CLU,ROM],
'constanta' => ['',CON,ROM],
'covasna' => ['',COV,ROM],
'dimbovita' => ['',DIM,ROM],
'dolj' => ['',DOL,ROM],
'galati' => ['',GAL,ROM],
'giurgiu' => ['',GIU,ROM],
'gorj' => ['',GOR,ROM],
'harghita' => ['',HAR,ROM],
'hunedoara' => ['',HUN,ROM],
'ialomita' => ['',IAL,ROM],
'iasi' => ['',IAS,ROM],
'maramures' => ['',MAR,ROM],
'mehedinti' => ['',MEH,ROM],
'mures' => ['',MUR,ROM],
'neamt' => ['',NEA,ROM],
'olt' => ['',OLT,ROM],
'prahova' => ['',PRA,ROM],
'salaj' => ['',SAL,ROM],
'sibiu' => ['',SIB,ROM],
'suceava' => ['',SUC,ROM],
'teleorman' => ['',TEL,ROM],
'timis' => ['',TIM,ROM],
'tulcea' => ['',TUL,ROM],
'vaslui' => ['',VAS,ROM],
'vilcea' => ['',VIL,ROM],
'vrancea' => ['',VRA,ROM],
'brokopondo' => ['',BRO,SUR],
'commewijne' => ['',COM,SUR],
'coronie' => ['',COR,SUR],
'marowijne' => ['',MAR,SUR],
'nickerie' => ['',NIC,SUR],
'para' => ['',PAR,SUR],
'saramacca' => ['',SAR,SUR],
'suriname' => ['',SUR,SUR],
'bratislava' => ['',BRA,SVK],
'stredoslovensky' => ['',STR,SVK],
'vychodoslovensky' => ['',VYC,SVK],
'zapadoslovensky' => ['',ZAP,SVK],
'alvsborg' => ['',ALV,SWE],
'blekinge' => ['',BLE,SWE],
'gavleborg' => ['',GAV,SWE],
'bohus' => ['',GBO,SWE],
'goteborg' => ['',GBO,SWE],
'gotland' => ['',GOT,SWE],
'halland' => ['',HAL,SWE],
'jamtland' => ['',JAM,SWE],
'jonkoping' => ['',JON,SWE],
'kalmar' => ['',KAL,SWE],
'kopparberg' => ['',KOP,SWE],
'kristianstad' => ['',KRI,SWE],
'kristianstads' => ['',KRI,SWE],
'kristian' => ['',KRI,SWE],
'krstns' => ['',KRI,SWE],
'kronoberg' => ['',KRO,SWE],
'malmohus' => ['',MAL,SWE],
'norrbotten' => ['',NOR,SWE],
'orebro' => ['',ORE,SWE],
'ostergotland' => ['',OST,SWE],
'skaraborg' => ['',SKA,SWE],
'sodermanland' => ['',SOD,SWE],
'manld' => ['',SOD,SWE],
'stockholm' => ['',STO,SWE],
'uppsala' => ['',UPP,SWE],
'upsala' => ['',UPP,SWE],
'varmland' => ['',VAR,SWE],
'vasterbotten' => ['',VBO,SWE],
'vastmanland' => ['',VMA,SWE],
'vasternorrland' => ['',VNO,SWE],
'ariana' => ['',ARI,TUN],
'beja' => ['',BEJ,TUN],
'binzert' => ['',BIN,TUN],
'gabes' => ['',GAB,TUN],
'gafsa' => ['',GAF,TUN],
'jendouba' => ['',JEN,TUN],
'kairouan' => ['',KAI,TUN],
'kasserine' => ['',KAS,TUN],
'kebili' => ['',KEB,TUN],
'mahdia' => ['',MAH,TUN],
'medenine' => ['',MED,TUN],
'monastir' => ['',MON,TUN],
'nabeul' => ['',NAB,TUN],
'sfax' => ['',SFA,TUN],
'siliana' => ['',SIL,TUN],
'sousse' => ['',SOU,TUN],
'tataouine' => ['',TAT,TUN],
'tozeur' => ['',TOZ,TUN],
'tunis' => ['',TUN,TUN],
'zaghouan' => ['',ZAG,TUN],
'cherkas' => ['',CRK,UKR],
'chernihivs' => ['',CRN,UKR],
'dnipropetrovs' => ['',DNI,UKR],
'donets' => ['',DON,UKR],
'kharkivs' => ['',KHA,UKR],
'khersons' => ['',KHE,UKR],
'kirovohrads' => ['',KIR,UKR],
'crimea' => ['',KRY,UKR],
'sebastopol' => ['',KRY,UKR],
'kiev' => ['',KYY,UKR],
'kyyivs' => ['',KYY,UKR],
'luhans' => ['',LUH,UKR],
'mykolayivs' => ['',MYK,UKR],
'odes' => ['',ODE,UKR],
'bessarabia' => ['',ODE,UKR],
'odessa' => ['',ODE,UKR],
'poltavs' => ['',POL,UKR],
'rivnens' => ['',RIV,UKR],
'sums' => ['',SUM,UKR],
'vinnyts' => ['',VIN,UKR],
'volyns' => ['',VOL,UKR],
'zakarpats' => ['',ZAK,UKR],
'zaporiz' => ['',ZAP,UKR],
'zhytomyrs' => ['',ZHY,UKR],
'al' => ['',ALA,USA],
'alabama' => ['',ALA,USA],
'arizona' => ['',ARI,USA],
'az' => ['',ARI,USA],
'ar' => ['',ARK,USA],
'ark' => ['',ARK,USA],
'arkansas' => ['',ARK,USA],
'ak' => ['',ASK,USA],
'alaska' => ['',ASK,USA],
'california' => ['',CAL,USA],
'colorado' => ['',COL,USA],
'conn' => ['',CON,USA],
'connecticut' => ['',CON,USA],
'ct' => ['',CON,USA],
'delaware' => ['',DEL,USA],
'fl' => ['',FLO,USA],
'florida' => ['',FLO,USA],
'ga' => ['',GEO,USA],
'georgia' => ['',GEO,USA],
'hawaii' => ['',HAW,USA],
'hi' => ['',HAW,USA],
'id' => ['',IDA,USA],
'idaho' => ['',IDA,USA],
'il' => ['',ILL,USA],
'ill' => ['',ILL,USA],
'chicago' => ['',ILL,USA],
'illinois' => ['',ILL,USA],
'illinios' => ['',ILL,USA],
'ind' => ['',IND,USA],
'indiana' => ['',IND,USA],
'indianna' => ['',IND,USA],
'ia' => ['',IOW,USA],
'iowa' => ['',IOW,USA],
'kansas' => ['',KAN,USA],
'ks' => ['',KAN,USA],
'kentucky' => ['',KEN,USA],
'ky' => ['',KEN,USA],
'louisiana' => ['',LOU,USA],
'maine' => ['',MAI,USA],
'me' => ['',MAI,USA],
'maryland' => ['',MAR,USA],
'md' => ['',MAR,USA],
'ma' => ['',MAS,USA],
'mass' => ['',MAS,USA],
'mass' => ['',MAS,USA],
'massachusettes' => ['',MAS,USA],
'massechusetts' => ['',MAS,USA],
'massachusets' => ['',MAS,USA],
'massachutts' => ['',MAS,USA],
'massachusetts' => ['',MAS,USA],
'massachussetts' => ['',MAS,USA],
'mi' => ['',MIC,USA],
'mich' => ['',MIC,USA],
'michigan' => ['',MIC,USA],
'minn' => ['',MIN,USA],
'minnesota' => ['',MIN,USA],
'mn' => ['',MIN,USA],
'montana' => ['',MON,USA],
'mt' => ['',MON,USA],
'miss' => ['',MSP,USA],
'mississippi' => ['',MSP,USA],
'ms' => ['',MSP,USA],
'missouri' => ['',MSR,USA],
'mo' => ['',MSR,USA],
'nc' => ['',NCA,USA],
'nd' => ['',NDA,USA],
'ne' => ['',NEB,USA],
'nebraska' => ['',NEB,USA],
'nevada' => ['',NEV,USA],
'nv' => ['',NEV,USA],
'nh' => ['',NHA,USA],
'nj' => ['',NJE,USA],
'nm' => ['',NME,USA],
'ny' => ['',NYO,USA],
'oh' => ['',OHI,USA],
'ohio' => ['',OHI,USA],
'ok' => ['',OKL,USA],
'oklahoma' => ['',OKL,USA],
'okla' => ['',OKL,USA],
'or' => ['',ORE,USA],
'oregon' => ['',ORE,USA],
'pa' => ['',PEN,USA],
'pa' => ['',PEN,USA],
'penn' => ['',PEN,USA],
'penn' => ['',PEN,USA],
'pennsylvania' => ['',PEN,USA],
'pensylvania' => ['',PEN,USA],
'philadelphia' => ['',PEN,USA],
'pn' => ['',PEN,USA],
'ri' => ['',RIS,USA],
'sc' => ['',SCA,USA],
'sd' => ['',SDA,USA],
'tenn' => ['',TEN,USA],
'tennessee' => ['',TEN,USA],
'tn' => ['',TEN,USA],
'tennesee' => ['',TEN,USA],
'texas' => ['',TEX,USA],
'tx' => ['',TEX,USA],
'tex' => ['',TEX,USA],
'ut' => ['',UTA,USA],
'utah' => ['',UTA,USA],
'vermont' => ['',VER,USA],
'vt' => ['',VER,USA],
'va' => ['',VIR,USA],
'virginia' => ['',VIR,USA],
'wa' => ['',WAS,USA],
'washington' => ['',WAS,USA],
'wi' => ['',WIS,USA],
'wisc' => ['',WIS,USA],
'wisconsin' => ['',WIS,USA],
'wva' => ['',WVI,USA],
'wv' => ['',WVI,USA],
'wy' => ['',WYO,USA],
'wyoming' => ['',WYO,USA],
'amazonas' => ['',AMA,VEN],
'anzoategui' => ['',ANZ,VEN],
'apure' => ['',APU,VEN],
'aragua' => ['',ARA,VEN],
'barinas' => ['',BAR,VEN],
'cojedes' => ['',COJ,VEN],
'carabobo' => ['',CRB,VEN],
'caracas' => ['',CRC,VEN],
'falcon' => ['',FAL,VEN],
'guarico' => ['',GUA,VEN],
'lara' => ['',LAR,VEN],
'merida' => ['',MER,VEN],
'miranda' => ['',MIR,VEN],
'monagas' => ['',MON,VEN],
'portuguesa' => ['',POR,VEN],
'sucre' => ['',SUC,VEN],
'tachira' => ['',TAC,VEN],
'trujllo' => ['',TRU,VEN],
'yaracuy' => ['',YAR,VEN],
'zulia' => ['',ZUL,VEN],
);

# codes sous-rgions France

%subregion2regionFRA = (
'F67' => 'ALS',	
'F68' => 'ALS',	
'F24' => 'AQU',	
'F33' => 'AQU',	
'F40' => 'AQU',	
'F47' => 'AQU',	
'F64' => 'AQU',	
'F03' => 'AUV',	
'F15' => 'AUV',	
'F43' => 'AUV',	
'F63' => 'AUV',	
'F21' => 'BOU',	
'F58' => 'BOU',	
'F71' => 'BOU',	
'F89' => 'BOU',	
'F22' => 'BRE',	
'F29' => 'BRE',	
'F35' => 'BRE',	
'F56' => 'BRE',	
'F18' => 'CEN',	
'F28' => 'CEN',	
'F36' => 'CEN',	
'F37' => 'CEN',	
'F41' => 'CEN',	
'F45' => 'CEN',	
'F08' => 'CHA',	
'F10' => 'CHA',	
'F51' => 'CHA',	
'F52' => 'CHA',	
'F2A' => 'COR',	
'F2B' => 'COR',	
'F25' => 'FCO',	
'F39' => 'FCO',	
'F70' => 'FCO',	
'F90' => 'FCO',	
'F75' => 'IDF',	
'F77' => 'IDF',	
'F78' => 'IDF',	
'F91' => 'IDF',	
'F92' => 'IDF',	
'F93' => 'IDF',	
'F94' => 'IDF',	
'F95' => 'IDF',	
'F19' => 'LIM',	
'F23' => 'LIM',	
'F87' => 'LIM',	
'F54' => 'LOR',	
'F55' => 'LOR',	
'F57' => 'LOR',	
'F88' => 'LOR',	
'F11' => 'LRO',	
'F30' => 'LRO',	
'F34' => 'LRO',	
'F48' => 'LRO',	
'F66' => 'LRO',	
'F09' => 'MPY',	
'F12' => 'MPY',	
'F31' => 'MPY',	
'F32' => 'MPY',	
'F46' => 'MPY',	
'F65' => 'MPY',	
'F81' => 'MPY',	
'F82' => 'MPY',	
'F14' => 'NOR',	
'F50' => 'NOR',	
'F61' => 'NOR',	
'F27' => 'NOR',	
'F76' => 'NOR',	
'F59' => 'NPC',	
'F62' => 'NPC',	
'F04' => 'PCA',	
'F05' => 'PCA',	
'F06' => 'PCA',	
'F13' => 'PCA',	
'F83' => 'PCA',	
'F84' => 'PCA',	
'F16' => 'PCH',	
'F17' => 'PCH',	
'F79' => 'PCH',	
'F86' => 'PCH',	
'F44' => 'PDL',	
'F49' => 'PDL',	
'F53' => 'PDL',	
'F72' => 'PDL',	
'F85' => 'PDL',	
'F02' => 'PIC',	
'F60' => 'PIC',	
'F80' => 'PIC',	
'F01' => 'RAL',	
'F07' => 'RAL',	
'F26' => 'RAL',	
'F38' => 'RAL',
'F42' => 'RAL',	
'F69' => 'RAL',	
'F73' => 'RAL',	
'F74' => 'RAL'	
);

##########################
# codes monde

%country2name = (
'ABW' => 'Aruba',	
'AFG' => 'Afghanistan',	
'AGO' => 'Angola',	
'AIA' => 'Anguilla',	
'ALB' => 'Albania',	
'AND' => 'Andorra',	
'ANT' => 'Netherlands Antilles',	
'ARE' => 'United Arab Emirates',	
'ARG' => 'Argentina',	
'ARM' => 'Armenia',	
'ASM' => 'American Samoa',	
'ATA' => 'Antarctica',	
'ATF' => 'French Southern Territories',	
'ATG' => 'Antigua and Barbuda',	
'AUS' => 'Australia',	
'AUT' => 'Oesterreich / Austria / Autriche',	
'AZE' => 'Azerbaijan',	
'BDI' => 'Burundi',	
'BEL' => 'Belgium',	
'BEN' => 'Benin',	
'BFA' => 'Burkina faso',	
'BGD' => 'Bangladesh',	
'BGR' => 'Bulgaria',	
'BHR' => 'Bahrain',	
'BHS' => 'Bahamas',	
'BIH' => 'Bosnia and Herzegowina',	
'BLR' => 'Belarus',	
'BLZ' => 'Belize',	
'BMU' => 'Bermuda',	
'BOL' => 'Bolivia',	
'BRA' => 'Brazil',	
'BRB' => 'Barbados',	
'BRN' => 'Brunei Darussalam',	
'BTN' => 'Bhutan',	
'BVT' => 'Bouvet Island',	
'BWA' => 'Botswana',	
'CAF' => 'Central African Republic',	
'CAN' => 'Canada',	
'CCK' => 'Cocos (Keeling) Islands',	
'CHE' => 'Switzerland/Suisse',	
'CHL' => 'Chile',	
'CHN' => 'China',	
'CIV' => 'Cote d\'Ivoire',	
'CMR' => 'Cameroon',	
'COG' => 'Congo',	
'COK' => 'Cook Islands',	
'COL' => 'Colombia',	
'COM' => 'Comoros',	
'CPV' => 'Cape Verde',	
'CRI' => 'Costa rica',	
'CUB' => 'Cuba',	
'CXR' => 'Christmas Island',	
'CYM' => 'Cayman Islands',	
'CYP' => 'Cyprus',	
'CZE' => 'Czech republic',	
'DEU' => 'Germany',	
'DJI' => 'Djibouti',	
'DMA' => 'Dominica',	
'DNK' => 'Denmark',	
'DOM' => 'Dominican Republic',	
'DZA' => 'Algeria',	
'ECU' => 'Ecuador',	
'EGY' => 'Egypt',	
'ERI' => 'Eritrea',	
'ESH' => 'Western Sahara',	
'ESP' => 'Spain',	
'EST' => 'Estonia',	
'ETH' => 'Ethiopia',	
'FIN' => 'Finland',	
'FJI' => 'Fiji',	
'FLK' => 'Falkland Islands (Malvinas)',	
'FRA' => 'France',	
'FRO' => 'Faroe islands',	
'FSM' => 'Micronesia, Federated States of',	
'GAB' => 'Gabon',	
'GBR' => 'United Kingdom',	
'GEO' => 'Georgia',	
'GHA' => 'Ghana',	
'GIB' => 'Gibraltar',	
'GIN' => 'Guinea',	
'GLP' => 'Guadeloupe',	
'GMB' => 'Gambia',	
'GNB' => 'Guinea-Bissau',	
'GNQ' => 'Equatorial Guinea',	
'GRC' => 'Greece',	
'GRD' => 'Grenada',	
'GRL' => 'Greenland',	
'GTM' => 'Guatemala',	
'GUF' => 'French Guiana',	
'GUM' => 'Guam',	
'GUY' => 'Guyana',	
'HKG' => 'Hong kong',	
'HMD' => 'Heard and Mc Donald Islands',	
'HND' => 'Honduras',	
'HRV' => 'Croatia (local name: Hrvatska)',	
'HTI' => 'Haiti',	
'HUN' => 'Hungary',	
'IDN' => 'Indonesia',	
'IND' => 'India',	
'IOT' => 'British Indian Ocean Territory',	
'IRL' => 'Ireland',	
'IRN' => 'Iran (Islamic Republic of)',	
'IRQ' => 'Iraq',	
'ISL' => 'Iceland',	
'ISR' => 'Israel',	
'ITA' => 'Italy',	
'JAM' => 'Jamaica',	
'JOR' => 'Jordan',	
'JPN' => 'Japan',	
'KAZ' => 'Kazakhstan',	
'KEN' => 'Kenya',	
'KGZ' => 'Kyrgyzstan',	
'KHM' => 'Cambodia',	
'KIR' => 'Kiribati',	
'KNA' => 'Saint Kitts and Nevis',	
'KOR' => 'Korea, Republic of',	
'KWT' => 'Kuwait',	
'LAO' => 'Lao People\'s Democratic Republic',	
'LBN' => 'Lebanon',	
'LBR' => 'Liberia',	
'LBY' => 'Libyan Arab Jamahiriya',	
'LCA' => 'Saint Lucia',	
'LIE' => 'Liechtenstein',	
'LKA' => 'Sri Lanka',	
'LSO' => 'Lesotho',	
'LTU' => 'Lithuania',	
'LUX' => 'Luxembourg',	
'LVA' => 'Latvia',	
'MAC' => 'Macau',	
'MAR' => 'Morocco',	
'MCO' => 'Monaco',	
'MDA' => 'Moldova, Republic of',	
'MDG' => 'Madagascar',	
'MDV' => 'Maldives',	
'MEX' => 'Mexico',	
'MHL' => 'Marshall Islands',	
'MKD' => 'Macedonia, the former Yugoslav republic of',	
'MLI' => 'Mali',	
'MLT' => 'Malta',	
'MMR' => 'Myanmar',	
'MNG' => 'Mongolia',	
'MNP' => 'Northern Mariana Islands',	
'MOZ' => 'Mozambique',	
'MRT' => 'Mauritania',	
'MSR' => 'Montserrat',	
'MTQ' => 'Martinique',	
'MUS' => 'Mauritius',	
'MWI' => 'Malawi',	
'MYS' => 'Malaysia',	
'MYT' => 'Mayotte',	
'NAM' => 'Namibia',	
'NCL' => 'New Caledonia',	
'NER' => 'Niger',	
'NFK' => 'Norfolk Island',	
'NGA' => 'Nigeria',	
'NIC' => 'Nicaragua',	
'NIU' => 'Niue',	
'NLD' => 'Netherlands',	
'NOR' => 'Norway',	
'NPL' => 'Nepal',	
'NRU' => 'Nauru',	
'NZL' => 'New Zealand',	
'OMN' => 'Oman',	
'PAK' => 'Pakistan',	
'PAN' => 'Panama',	
'PCN' => 'Pitcairn',	
'PER' => 'Peru',	
'PHL' => 'Philippines',	
'PLW' => 'Palau',	
'PNG' => 'Papua New Guinea',	
'POL' => 'Poland',	
'PRI' => 'Puerto Rico',	
'PRK' => 'Korea, Democratic People\'s Republic of',	
'PRT' => 'Portugal',	
'PRY' => 'Paraguay',	
'PYF' => 'French Polynesia',	
'QAT' => 'Qatar',	
'REU' => 'Reunion',	
'ROM' => 'Romania',	
'RUS' => 'Russian Federation',	
'RWA' => 'Rwanda',	
'SAU' => 'Saudi arabia',	
'SDN' => 'Sudan',	
'SEN' => 'Senegal',	
'SGP' => 'Singapore',	
'SGS' => 'South Georgia and the South Sandwich Islands',	
'SHN' => 'St. Helena',	
'SJM' => 'Svalbard and Jan Mayen Islands',	
'SLB' => 'Solomon Islands',	
'SLE' => 'Sierra leone',	
'SLV' => 'El Salvador',	
'SMR' => 'San Marino',	
'SOM' => 'Somalia',	
'SPM' => 'St. Pierre and Miquelon',	
'STP' => 'Sao Tome and Principe',	
'SUR' => 'Suriname',	
'SVK' => 'Slovakia (Slovak Republic)',	
'SVN' => 'Slovenia',	
'SWE' => 'Sweden',	
'SWZ' => 'Swaziland',	
'SYC' => 'Seychelles',	
'SYR' => 'Syrian Arab Republic',	
'TCA' => 'Turks and Caicos Islands',	
'TCD' => 'Chad',	
'TGO' => 'Togo',	
'THA' => 'Thailand',	
'TJK' => 'Tajikistan',	
'TKL' => 'Tokelau',	
'TKM' => 'Turkmenistan',	
'TMP' => 'East Timor',	
'TON' => 'Tonga',	
'TTO' => 'Trinidad and Tobago',	
'TUN' => 'Tunisia',	
'TUR' => 'Turkey',	
'TUV' => 'Tuvalu',	
'TWN' => 'Taiwan, Province of China',	
'TZA' => 'Tanzania, United Republic of',	
'UGA' => 'Uganda',	
'UKR' => 'Ukraine',	
'UMI' => 'United States Minor Outlying Islands',	
'URY' => 'Uruguay',	
'USA' => 'United States',	
'UZB' => 'Uzbekistan',	
'VAT' => 'Vatican City State (holy see)',	
'VCT' => 'Saint Vincent and the Grenadines',	
'VEN' => 'Venezuela',	
'VGB' => 'Virgin Islands (british)',	
'VIR' => 'Virgin Islands (U.S.)',	
'VNM' => 'Viet Nam',	
'VUT' => 'Vanuatu',	
'WLF' => 'Wallis and Futuna Islands',	
'WSM' => 'Samoa',	
'YEM' => 'Yemen',	
'YUG' => 'Yugoslavia',	
'ZAF' => 'South Africa',	
'ZAR' => 'Zaire',	
'ZMB' => 'Zambia',	
'ZWE' => 'Zimbabwe',
'UND' => 'Undetermined country',
'ONS' => 'One Name Study'	
);

# fin du script;