<?
/******************************************************************/
/* uz.php?p=$p dcompresse et envoie une page html $p compresse  */
/* vos pages.html peuvent tre compresses en pages.htm.gz ou non */
/* Auteur : Jean-Franois BAQUET mail@baquet.org                  */
/******************************************************************/
/* prrequis : votre serveur doit supporter PHP avec :            */
/* HTTP_ACCEPT_ENCODING accept gzip                               */
/* HTTP_SERVER_VARS accept gzip                                   */
/* zlib Library                                                   */
/* cela fonctionne sur free.fr, voir le phpinfo de votre site     */
/******************************************************************/

if ($p) {
	ob_start("ob_gzhandler");
	$position = preg_match("/htm(l)+\.#/i",$p);
	$other = ((preg_match("/(\\|\/)/i",$p)) or (preg_match("/\.php/i",$p)));
	$isgz = file_exists("$p.gz");
	if (!$isgz) {
		$file = fopen ("$p", "r");
		while (!feof ($file)) {
			$line = fgets ($file,65536); 
			$ret = out("$p",$position,$other,$line);
		}
		fclose($file);
	}
	else {
	$fgz = gzopen("$p.gz", "rb");
		while (!gzeof($fgz)) {
			$line = gzgets($fgz,8192);
			$ret = out("$p.gz",$position,$other,$line);
		}
		gzclose($fgz);
	}
	ob_end_flush();
}
function out($page,$position,$other,$line) {
	if ($position) {
		$line = preg_replace("/<body/i", "<body onload=\"self.location='$p'\"\;", $line);
	}
	$line = preg_replace("/(href|src)=(\"|\')?(\w*.htm)/i", "\\1=\\2uz.php?p=\\3", $line);
	$pattern = "/multiLoad\((\"|\')(\w*.htm)(.*?,\s*)(\"|\')(\w*.htm)/i";
	$replace = "multiLoad(\\1uz.php?p=\\2\\3\\4uz.php?p=\\5";
	$line = preg_replace($pattern, $replace, $line);
	echo $line;
    return;
}   
?>